package org.dromara.common.core.constant;

/**
 * 缓存的key 常量
 *
 * @author Lion Li
 */
public interface CacheConstants {

    /**
     * 在线用户 redis key
     */
    String ONLINE_TOKEN_KEY = "online_tokens:";

    /**
     * 参数管理 cache key
     */
    String SYS_CONFIG_KEY = "sys_config:";

    /**
     * 字典管理 cache key
     */
    String SYS_DICT_KEY = "sys_dict:";

    /**
     * 后台首页各分段学生人数 上一次考试数据
     */
    public static final String FEN_DUAN_LAST = "fen_duan_last:";
    /**
     * 后台首页各分段学生人数 最新考试数据
     */
    public static final String FEN_DUAN_NEW = "fen_duan_new:";
    /**
     * 最新考试id
     */
    public static final String SCORE_ID = "score_id:";
    /**
     * 对应考试id的总考试人数
     */
    public static final String SCORE_PEOPLE_ALL = "score_people_all:";
    /**
     * 对应考试id的查看人id
     */
    public static final String SCORE_PEOPLE_CHAKAN = "score_people_chakan:";
    /**
     * 对应考试id的查看人数
     */
    public static final String SCORE_PEOPLE_CHAKAN_COUNT = "score_people_chakan_count:";
    /**
     * 校园安全点赞key
     */
    public static final String XIAOYUAN_INFO_DIANZAN = "xiaoyuan_info_dianzan:";
    /**
     * 谁点赞的id
     */
    public static final String XIAOYUAN_INFO_DIANZAN_USER = "xiaoyuan_info_dianzan_user:";
    /**
     * 校园安全转发key
     */
    public static final String XIAOYUAN_INFO_ZHUANFA = "xiaoyuan_info_zhuanfa:";

    /**
     * 下课管理
     */
    public static final String XIA_CONFIG_KEY = "xiake_config:";
    /**
     * 后台首页今日延迟放学数量
     */
    public static final String TODAY_YAN_CHI = "today_yan_chi:";
    /**
     * 后台首页昨日延迟放学数量
     */
    public static final String LAST_DAY_YAN_CHI = "last_day_yan_chi:";
    /**
     * 后台首页昨日准时放学数量
     */
    public static final String LAST_DAY_ZHUN_SHI = "last_day_zhun_shi:";

}
