package org.dromara.system.domain;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.system.domain.bo.AskLeaveCourseBo;
import org.dromara.system.domain.bo.AskLeaveFjBo;

import java.io.Serial;
import java.util.List;

/**
 * 请假对象 ask_leave
 *
 * @author boman
 * @date 2024-11-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ask_leave")
public class AskLeave extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学校id
     */
    private String schoolId;

    /**
     * 学校名称
     */
    private String schoolName;

    /**
     * 班级id
     */
    private String classId;

    /**
     * 班级名称
     */
    private String className;

    /**
     * 请假人
     */
    private String leaveName;

    /**
     * 请假类型
     */
    private Long leaveType;

    /**
     * 请假事由
     */
    private String description;

    /**
     * 请假时长
     */
    private String leaveDuration;

    /**
     * 请假时段
     */
    private String leaveFrame;

    /**
     * 审核人id
     */
    private String examineId;

    /**
     * 审核人姓名
     */
    private String examineName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 审核结果  0：未审核，1：审核通过，2：未通过
     */
    private String examineResult;

    /**
     * 审核意见
     */
    private String opinion;

    /**
     * 请假课程信息
     */
    @TableField(exist = false)
    private List<AskLeaveCourseBo> askLeaveCourseBoList;

    /**
     * 附件信息
     */
    @TableField(exist = false)
    private List<AskLeaveFjBo> askLeaveFjBoList;


}
