package org.dromara.system.domain;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 请假课程信息对象 ask_leave_course
 *
 * @author boman
 * @date 2024-11-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ask_leave_course")
public class AskLeaveCourse extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 课程表id
     */
    private Long courseId;

    /**
     * 请假主表id
     */
    private Long leaveId;

    /**
     * 请假日期
     */
    private String courseDate;

    /**
     * 周几：1：周一，2：周二，3：周三，4：周四，5：周五
     */
    private String week;

    /**
     * 第几节课
     */
    private Long classNumber;

    /**
     * 时段：AM：上午，PM:下午，NIGHT:晚上
     */
    private String timeFrame;

    /**
     * 课程名称
     */
    private String courseName;

    /**
     * 备注
     */
    private String remark;


}
