package org.dromara.system.domain;

import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 课程对象 course_table
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("course_table")
public class CourseTable extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学校id
     */
    private String schoolId;

    /**
     * 学校名称
     */
    private String schoolName;

    /**
     * 班级id
     */
    private String classId;

    /**
     * 班级名称
     */
    private String className;

    /**
     * 周几：1：周一，2：周二，3：周三，4：周四，5：周五
     */
    private String week;

    /**
     * 第几节课
     */
    @ExcelProperty(value = "第几节课")
    private Long classNumber;


    /**
     * 时段：AM：上午，PM:下午，NIGHT:晚上
     */
    private String timeFrame;


    /**
     * 课程名称
     */
    private String courseName;

    /**
     * 课程老师
     */
    private String courseTeacher;

    /**
     * 备注
     */
    private String remark;


}
