package org.dromara.system.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 课程-时间对象 course_table_time
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("course_table_time")
public class CourseTableTime extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学校id
     */
    private String schoolId;

    /**
     * 学校名称
     */
    private String schoolName;

    /**
     * 第几节课
     */
    private Long classNumber;

    /**
     * 时段：AM：上午，PM:下午，NIGHT:晚上
     */
    private String timeFrame;

    /**
     * 课程开始时间
     */
    private String startTime;

    /**
     * 课程结束时间
     */
    private String endTime;

    /**
     * 备注
     */
    private String remark;


}
