package org.dromara.system.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 家长-学生(审核通过之后数据)对象 formal_parents_student
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("formal_parents_student")
public class FormalParentsStudent extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id")
    private Long id;

    private String tenantId;

    /**
     * 家长id
     */
    private Long parentsId;

    /**
     * 学校id
     */
    private Long schoolId;

    /**
     * 学校名称
     */
    private String schoolName;

    /**
     * 班级id
     */
    private Long classId;

    /**
     * 班级名称
     */
    private String className;

    private String period;

    /**
     * 姓名
     */
    private String studentName;

    /**
     * 学号
     */
    private String studentNumber;

    @TableLogic
    private String isDel;

    /**
     * 备注
     */
    private String remark;


}
