package org.dromara.system.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 老师-班级（学科）(审核通过之后数据)对象 formal_teacher_class
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("formal_teacher_class")
public class FormalTeacherClass extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 租户编号
     */
    private String tenantId;

    /**
     * 老师id
     */
    private Long teacherId;

    /**
     * 学校id
     */
    private Long schoolId;

    /**
     * 学校名称
     */
    private String schoolName;

    /**
     * 班级id
     */
    private Long classId;

    /**
     * 班级名称
     */
    private String className;

    private String period;

    /**
     * 学科
     */
    private String discipline;

    /**
     * 备注
     */
    private String remark;

    /**
     * 老师名称
     */
    private String teacherName;

    /**
     * 准备放学1,延迟放学 2
     */
    @TableField(exist = false)
    private String type;
    /**
     * 手动设置的延迟下课时间
     */
    @TableField(exist = false)
    private String xiakeTime;

}
