package org.dromara.system.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 注册-家长-学生对象 register_parents_student
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("register_parents_student")
public class RegisterParentsStudent extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 租户编号
     */
    private String tenantId;

    /**
     * 家长id
     */
    private Long parentsId;

    /**
     * 家长姓名
     */
    private String parentsName;

    /**
     * 家长联系方式
     */
    private String parentsPhone;

    /**
     * 学校id
     */
    private Long schoolId;

    /**
     * 学校名称
     */
    private String schoolName;

    /**
     * 班级id
     */
    private Long classId;

    /**
     * 班级名称
     */
    private String className;

    private String period;

    /**
     * 姓名
     */
    private String studentName;

    /**
     * 学号
     */
    private String studentNumber;

    /**
     * 审核结果（1：待审核，2：通过，3：不通过）
     */
    private String isPass;

    /**
     * 备注
     */
    private String remark;

    /**
     *
     */
    private Long auditId;

    /**
     * 审核人
     */
    private String auditUser;

    /**
     * 审核意见
     */
    private String opinion;


}
