package org.dromara.system.domain;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 学校食谱对象 school_recipe
 *
 * @author boman
 * @date 2023-09-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("school_recipe")
public class SchoolRecipe extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 学校ID
     */
    private Long schoolId;

    /**
     * 就餐类型（1：早餐，2：午餐，3：晚餐，4：宵夜）
     */
    private String type;

    /**
     * 上传日期
     */
    private String createDate;

    /**
     * 附件地址（,号分割）
     */
    private String urls;

    /**
     * 描述
     */
    private String description;

    /**
     * 备注
     */
    private String remark;


}
