package org.dromara.system.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 学生档案历史信息对象 student_info_old
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("student_info_old")
public class StudentInfoOld extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "old_id")
    private Long oldId;

    /**
     * 学生id（家长-学生(审核通过之后数据)表id）
     */
    private Long studentId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别(1：男，2：女)
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 名族
     */
    private String familyName;

    /**
     * 学校
     */
    private String school;

    /**
     * 学号
     */
    private String studentNumber;

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 是否近视（1：是，2：否）
     */
    private String isNearsightedness;

    /**
     * 近视度数
     */
    private String degreeMyopia;

    /**
     * 是否远视（1：是，2：否）
     */
    private String isFarsightedness;

    /**
     * 远视度数
     */
    private String farsightedness;

    /**
     * 身高
     */
    private String height;

    /**
     * 体重
     */
    private String weight;

    /**
     * 血型
     */
    private String bloodType;

    /**
     * 政治面貌
     */
    private String politicalStatus;

    /**
     * 健康状况
     */
    private String health;

    /**
     * 证件照(地址)
     */
    private String identificationPhoto;

    /**
     * 心理状况
     */
    private String mind;

    /**
     * 门禁照(地址)
     */
    private String entrancePermit;

    /**
     * 父亲
     */
    private String fatherName;

    /**
     * 父亲联系方式
     */
    private String fatherTelephone;

    /**
     * 母亲
     */
    private String motherName;

    /**
     * 母亲联系方式
     */
    private String motherTelephone;

    /**
     * 居住地址
     */
    private String address;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 备注
     */
    private String remark;

    /**
     * 有无过往病史（1：有，2：无）
     */
    private String isMedicalHistory;

    /**
     * 病史描述
     */
    private String medicalDescription;

    /**
     * 心理健康描述
     */
    private String psychologicalDescription;

    /**
     * 留守儿童（1：是，2：否）
     */
    private String isLset;

    /**
     * 是否贫困（1：是，2：否）
     */
    private String isPoverty;

    /**
     * 紧急联系人
     */
    private String emergencyContact;

    /**
     * 紧急联系人手机号
     */
    private String emergencyContactTelephone;


}
