package org.dromara.system.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 学生生活历史信息对象 student_live_old
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("student_live_old")
public class StudentLiveOld extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "live_id")
    private Long liveId;

    /**
     * 学生id（家长-学生(审核通过之后数据)表id）
     */
    private Long studentId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别(1：男，2：女)
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 学校
     */
    private String school;

    /**
     * 学号
     */
    private String studentNumber;

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 身高
     */
    private String height;

    /**
     * 体重
     */
    private String weight;

    /**
     * 1：家长，2：老师
     */
    private String createType;

    /**
     * 备注
     */
    private String remark;

    private String createByName;


}
