package org.dromara.system.domain;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serial;

/**
 * 老师档案信息对象 teacher_info
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("teacher_info")
public class TeacherInfo extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 老师id(user表id)）
     */
    private Long teacherId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别(1：男，2：女)
     */
    private String sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 联系方式
     */
    private String phone;

    /**
     * 职称
     */
    private String professional;

    /**
     * 身份证号
     */
    private String idCard;

    /**
     * 身高
     */
    private String height;

    /**
     * 体重
     */
    private String weight;

    /**
     * 血型
     */
    private String bloodType;

    /**
     * 政治面貌
     */
    private String politicalStatus;

    /**
     * 毕业证明照(地址)
     */
    private String graduationPhoto;

    /**
     * 毕业证书照(地址)
     */
    private String degreePhoto;

    /**
     * 教资证明照(地址)
     */
    private String teachingPhoto;

    /**
     * 职称证明照(地址)
     */
    private String professionalPhoto;

    /**
     * 证件照(地址)
     */
    private String identificationPhoto;

    /**
     * 门禁照(地址)
     */
    private String entrancePermit;

    /**
     * 居住地址
     */
    private String address;

    /**
     * 入职时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date onBoardTime;

    /**
     * 参加工作时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date jobTime;

    /**
     * 备注
     */
    private String remark;


}
