package org.dromara.system.domain;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serial;

/**
 * 智慧校园_审核意见对象 zhxy_shyj
 *
 * @author boman
 * @date 2023-08-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("zhxy_shyj")
public class ZhxyShyj extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 数据ID
     */
    private Long dataId;

    /**
     * 审核类型（1：学校注册，2：老师注册，3：家长注册，4：调课）
     */
    private String type;

    /**
     * 审核人id
     */
    private Long auditId;

    /**
     * 审核人名称
     */
    private String auditUser;

    /**
     * 审核结果（是否通过  1：待审核，2：通过 3:不通过)
     */
    private String shjg;

    /**
     * 审核意见
     */
    private String shyj;

    /**
     * 审核时间
     */
    private Date shsj;

    /**
     * 备注
     */
    private String remark;


}
