package org.dromara.system.domain.bo;

import com.baomidou.mybatisplus.annotation.TableField;
import org.dromara.system.domain.AskLeave;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

import java.util.List;

/**
 * 请假业务对象 ask_leave
 *
 * @author boman
 * @date 2024-11-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AskLeave.class, reverseConvertGenerate = false)
public class AskLeaveBo extends BaseEntity {

    /**
     * ID
     */
    private Long id;

    /**
     * 学校id
     */
    private String schoolId;

    /**
     * 学校名称
     */
    private String schoolName;

    /**
     * 班级id
     */
    private String classId;

    /**
     * 班级名称
     */
    private String className;

    /**
     * 请假人
     */
    private String leaveName;

    /**
     * 请假类型
     */
    private Long leaveType;

    /**
     * 请假事由
     */
    private String description;

    /**
     * 请假时长
     */
    private String leaveDuration;

    /**
     * 请假时段
     */
    private String leaveFrame;

    /**
     * 审核人id
     */
    private String examineId;

    /**
     * 审核人姓名
     */
    private String examineName;


    /**
     * 审核结果  0：未审核，1：审核通过，2：未通过
     */
    private String examineResult;


    /**
     * 审核意见
     */
    private String opinion;

    /**
     * 备注
     */
    private String remark;

    /**
     * 请假课程信息
     */
    @TableField(exist = false)
    private List<AskLeaveCourseBo> askLeaveCourseBoList;

    /**
     * 附件信息
     */
    @TableField(exist = false)
    private List<AskLeaveFjBo> askLeaveFjBoList;


}
