package org.dromara.system.domain.bo;

import org.dromara.system.domain.AskLeaveCourse;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 请假课程信息业务对象 ask_leave_course
 *
 * @author boman
 * @date 2024-11-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AskLeaveCourse.class, reverseConvertGenerate = false)
public class AskLeaveCourseBo extends BaseEntity {

    /**
     * ID
     */
    private Long id;

    /**
     * 课程表id
     */
    private Long courseId;

    /**
     * 请假主表id
     */
    private Long leaveId;

    /**
     * 请假日期
     */
    private String courseDate;

    /**
     * 周几：1：周一，2：周二，3：周三，4：周四，5：周五
     */
    private String week;

    /**
     * 第几节课
     */
    private Long classNumber;

    /**
     * 时段：AM：上午，PM:下午，NIGHT:晚上
     */
    private String timeFrame;

    /**
     * 课程名称
     */
    private String courseName;

    /**
     * 备注
     */
    private String remark;


}
