package org.dromara.system.domain.bo;

import org.dromara.system.domain.AskLeaveFj;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 请假附件业务对象 ask_leave_fj
 *
 * @author boman
 * @date 2024-11-04
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AskLeaveFj.class, reverseConvertGenerate = false)
public class AskLeaveFjBo extends BaseEntity {

    /**
     *
     */
    //@NotNull(message = "不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 请假主表id
     */
    //@NotNull(message = "请假主表id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long leaveId;

    /**
     * 附件名称
     */
    //@NotBlank(message = "附件名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String name;

    /**
     * 附件地址
     */
    //@NotBlank(message = "附件地址不能为空", groups = { AddGroup.class, EditGroup.class })
    private String url;


    /**
     * 备注
     */
    //@NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;


}
