package org.dromara.system.domain.bo;

import com.baomidou.mybatisplus.annotation.TableField;
import org.dromara.system.domain.CourseTable;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 课程业务对象 course_table
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = CourseTable.class, reverseConvertGenerate = false)
public class CourseTableBo extends BaseEntity {

    /**
     * ID
     */
    //@NotNull(message = "ID不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 学校id
     */
    //@NotNull(message = "学校id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String schoolId;

    /**
     * 学校名称
     */
    //@NotNull(message = "学校名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String schoolName;

    /**
     * 班级id
     */
    //@NotNull(message = "班级id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String classId;

    /**
     * 班级名称
     */
    //@NotNull(message = "班级名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String className;

    /**
     * 周几：1：周一，2：周二，3：周三，4：周四，5：周五
     */
    //@NotNull(message = "周几：1：周一，2：周二，3：周三，4：周四，5：周五不能为空", groups = { AddGroup.class, EditGroup.class })
    private String week;

    /**
     * 第几节课
     */
    //@NotNull(message = "第一节课不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long classNumber;


    /**
     * 时段：AM：上午，PM:下午，NIGHT:晚上
     */
    //@NotNull(message = "第一节课不能为空", groups = { AddGroup.class, EditGroup.class })
    private String timeFrame;


    /**
     * 课程名称
     */
    //@NotNull(message = "第二节课不能为空", groups = { AddGroup.class, EditGroup.class })
    private String courseName;

    /**
     * 课程老师
     */
    //@NotNull(message = "第二节课老师不能为空", groups = { AddGroup.class, EditGroup.class })
    private String courseTeacher;


    /**
     * 备注
     */
    //@NotNull(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;

    @TableField(exist = false)
    private String data;



}
