package org.dromara.system.domain.bo;

import org.dromara.system.domain.CourseTableTime;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 课程-时间业务对象 course_table_time
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = CourseTableTime.class, reverseConvertGenerate = false)
public class CourseTableTimeBo extends BaseEntity {

    /**
     * ID
     */
    @NotNull(message = "ID不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 学校id
     */
    //@NotNull(message = "学校id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String schoolId;

    /**
     * 学校名称
     */
    //@NotNull(message = "学校名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String schoolName;

    /**
     * 第几节课
     */
    //@NotNull(message = "第一节课不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long classNumber;

    /**
     * 时段：AM：上午，PM:下午，NIGHT:晚上
     */
    //@NotNull(message = "第一节课不能为空", groups = { AddGroup.class, EditGroup.class })
    private String timeFrame;

    /**
     * 课程开始时间
     */
    //@NotNull(message = "第一节课开始时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private String startTime;

    /**
     * 课程结束时间
     */
    //@NotNull(message = "第一节课结束时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private String endTime;

    /**
     * 备注
     */
    //@NotNull(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;




}
