package org.dromara.system.domain.bo;

import com.baomidou.mybatisplus.annotation.TableField;
import org.dromara.system.domain.FormalParentsStudent;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

import java.util.List;

/**
 * 家长-学生(审核通过之后数据)业务对象 formal_parents_student
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FormalParentsStudent.class, reverseConvertGenerate = false)
public class FormalParentsStudentBo extends BaseEntity {

    /**
     * ID
     */
    ////@NotBlank(message = "ID不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 家长id
     */
    ////@NotBlank(message = "家长id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long parentsId;

    /**
     * 学校id
     */
    ////@NotBlank(message = "学校id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long schoolId;

    /**
     * 学校名称
     */
    //@NotBlank(message = "学校名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String schoolName;

    /**
     * 班级id
     */
    ////@NotBlank(message = "班级id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long classId;

    /**
     * 班级名称
     */
    //@NotBlank(message = "班级名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String className;

    private String period;

    /**
     * 姓名
     */
    //@NotBlank(message = "姓名不能为空", groups = { AddGroup.class, EditGroup.class })
    private String studentName;

    /**
     * 学号
     */
    //@NotBlank(message = "学号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String studentNumber;

    private String isDel;

    /**
     * 备注
     */
    //@NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;

    @TableField(exist = false)
    private List<Long> classIds;



}
