package org.dromara.system.domain.bo;

import org.dromara.system.domain.FormalTeacherClass;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 老师-班级（学科）(审核通过之后数据)业务对象 formal_teacher_class
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = FormalTeacherClass.class, reverseConvertGenerate = false)
public class FormalTeacherClassBo extends BaseEntity {

    /**
     * ID
     */
    private Long id;

    /**
     * 老师id
     */
    private Long teacherId;

    /**
     * 学校id
     */
    private String schoolId;

    /**
     * 学校名称
     */
    private String schoolName;

    /**
     * 班级id
     */
    private Long classId;

    /**
     * 班级名称
     */
    private String className;

    private String period;

    /**
     * 学科
     */
    private String discipline;

    /**
     * 备注
     */
    private String remark;

    /**
     * 老师名称
     */
    private String teacherName;


}
