package org.dromara.system.domain.bo;

import org.dromara.system.domain.OrientationInfo;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 定位信息业务对象 orientation_info
 *
 * @author boman
 * @date 2023-08-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = OrientationInfo.class, reverseConvertGenerate = false)
public class OrientationInfoBo extends BaseEntity {

    /**
     * ID
     */
    //@NotBlank(message = "ID不能为空", groups = { EditGroup.class })
    private Long id;

    private String tenantId;

    /**
     * 用户id
     */
    //@NotBlank(message = "用户id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long userId;

    /**
     * 用户名
     */
    //@NotBlank(message = "用户名不能为空", groups = { AddGroup.class, EditGroup.class })
    private String userName;

    /**
     * 地址
     */
    //@NotBlank(message = "地址不能为空", groups = { AddGroup.class, EditGroup.class })
    private String address;

    /**
     * 经度
     */
    //@NotBlank(message = "经度不能为空", groups = { AddGroup.class, EditGroup.class })
    private String longitude;

    /**
     * 纬度
     */
    //@NotBlank(message = "纬度不能为空", groups = { AddGroup.class, EditGroup.class })
    private String latitude;

    /**
     * 备注
     */
    //@NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;


}
