package org.dromara.system.domain.bo;

import com.baomidou.mybatisplus.annotation.TableField;
import org.dromara.system.domain.RegisterParents;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.dromara.system.domain.vo.RegisterParentsStudentVo;

import java.util.List;

/**
 * 注册-家长业务对象 register_parents
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = RegisterParents.class, reverseConvertGenerate = false)
public class RegisterParentsBo extends BaseEntity {

    /**
     * ID
     */
    private Long id;

    /**
     * 租户编号
     */
    private String tenantId;

    /**
     * 微信用户唯一标识 OpenID
     */
    private String openId;

    /**
     * 姓名
     */
    private String userName;

    /**
     * 联系方式
     */
    private String userPhone;

    /**
     * 审核结果（1：待审核，2：通过，3：不通过）
     */
    private String isPass;

    /**
     * 备注
     */
    private String remark;

    @TableField(exist = false)
    private List<RegisterParentsStudentVo> registerParentsStudentList;
}
