package org.dromara.system.domain.bo;

import com.baomidou.mybatisplus.annotation.TableField;
import org.dromara.system.domain.RegisterSchool;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.dromara.system.domain.vo.RegisterSchoolFileVo;

import java.util.List;

/**
 * 注册-学校业务对象 register_school
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = RegisterSchool.class, reverseConvertGenerate = false)
public class RegisterSchoolBo extends BaseEntity {

    /**
     * ID
     */
    //@NotNull(message = "ID不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 租户编号
     */
    private String tenantId;

    /**
     * 微信用户唯一标识 OpenID
     */
    private String openId;

    /**
     * 学校名称
     */
    private String schoolName;

    /**
     * 负责人
     */
    private String userName;

    /**
     * 负责人联系方式
     */
    private String userPhone;

    /**
     * 审核结果（1：待审核，2：通过，3：不通过）
     */
    private String isPass;

    /**
     *
     */
    private Long auditId;

    /**
     * 审核人
     */
    private String auditUser;

    /**
     * 审核意见
     */
    private String opinion;

    /**
     * 备注
     */
    private String remark;

    /** 注册-学校-附件对象 */
    @TableField(exist = false)
    private List<RegisterSchoolFileVo> registerSchoolFileList;
}
