package org.dromara.system.domain.bo;

import org.dromara.system.domain.RegisterSchoolFile;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 注册-学校-附件业务对象 register_school_file
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = RegisterSchoolFile.class, reverseConvertGenerate = false)
public class RegisterSchoolFileBo extends BaseEntity {

    /**
     *
     */
    //@NotNull(message = "不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 租户编号
     */
    private String tenantId;

    /**
     * 学校ID
     */
    //@NotNull(message = "学校ID不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long schoolId;

    /**
     * 学校部门id
     */
    //@NotNull(message = "学校部门id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long deptId;

    /**
     * 附件名称
     */
    //@NotBlank(message = "附件名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String name;

    /**
     * 附件地址
     */
    //@NotBlank(message = "附件地址不能为空", groups = { AddGroup.class, EditGroup.class })
    private String url;

    /**
     * 地址类型
     */
    //@NotBlank(message = "地址类型不能为空", groups = { AddGroup.class, EditGroup.class })
    private String type;

    /**
     * 备注
     */
    //@NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;


}
