package org.dromara.system.domain.bo;

import com.baomidou.mybatisplus.annotation.TableField;
import org.dromara.system.domain.RegisterTeacher;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.dromara.system.domain.vo.RegisterTeacherClassVo;

import java.util.List;

/**
 * 注册-老师业务对象 register_teacher
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = RegisterTeacher.class, reverseConvertGenerate = false)
public class RegisterTeacherBo extends BaseEntity {

    /**
     * ID
     */
    private Long id;

    /**
     * 微信用户唯一标识 OpenID
     */
    private String openId;

    /**
     * 租户编号
     */
    private String tenantId;



    /**
     * 学校id
     */
    private Long schoolId;

    /**
     * 学校名称
     */
    private String schoolName;

    /**
     * 姓名
     */
    private String userName;

    /**
     * 联系方式
     */
    private String userPhone;

    /**
     * 审核结果（1：待审核，2：通过，3：不通过）
     */
    private String isPass;

    /**
     * 备注
     */
    private String remark;

    /**
     *
     */
    private Long auditId;

    /**
     * 审核人
     */
    private String auditUser;

    /**
     * 审核意见
     */
    private String opinion;

    @TableField(exist = false)
    private List<RegisterTeacherClassVo> registerTeacherClassList;
}
