package org.dromara.system.domain.bo;

import org.dromara.system.domain.RegisterTeacherClass;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

import java.util.Date;

/**
 * 注册-老师-班级（学科）业务对象 register_teacher_class
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = RegisterTeacherClass.class, reverseConvertGenerate = false)
public class RegisterTeacherClassBo extends BaseEntity {

    /**
     * ID
     */
    //@NotNull(message = "ID不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 租户编号
     */
    private String tenantId;

    /**
     * 老师id
     */
    //@NotNull(message = "老师id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long teacherId;

    /**
     * 班级id
     */
    //@NotNull(message = "班级id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long classId;

    /**
     * 班级名称
     */
    //@NotBlank(message = "班级名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String className;

    /**
     *
     */
    //@NotBlank(message = "不能为空", groups = { AddGroup.class, EditGroup.class })
    private String period;

    /**
     * 学科
     */
    //@NotBlank(message = "学科不能为空", groups = { AddGroup.class, EditGroup.class })
    private String discipline;

    /**
     * 备注
     */
    //@NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;

    /**
     * 创建者
     */
    private Long createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;


}
