package org.dromara.system.domain.bo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.system.domain.SchoolRecipe;

import java.util.List;

/**
 * 学校食谱业务对象 school_recipe
 *
 * @author boman
 * @date 2023-09-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = SchoolRecipe.class, reverseConvertGenerate = false)
public class SchoolRecipeBo extends BaseEntity {

    /**
     *
     */
    //@NotNull(message = "不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 学校ID
     */
    //@NotNull(message = "学校ID不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long schoolId;

    /**
     * 就餐类型（1：早餐，2：午餐，3：晚餐，4：宵夜）
     */
    //@NotBlank(message = "就餐类型（1：早餐，2：午餐，3：晚餐，4：宵夜）不能为空", groups = { AddGroup.class, EditGroup.class })
    private String type;

    /**
     * 上传日期
     */
    //@NotBlank(message = "上传日期不能为空", groups = { AddGroup.class, EditGroup.class })
    private String createDate;

    /**
     * 附件地址（,号分割）
     */
    private String urls;

    /**
     * 描述
     */
    //@NotBlank(message = "描述不能为空", groups = { AddGroup.class, EditGroup.class })
    private String description;

    /**
     * 备注
     */
    //@NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;



}
