package org.dromara.system.domain.bo;

import org.dromara.system.domain.StudentMindOld;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 学生心理健康历史信息业务对象 student_mind_old
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = StudentMindOld.class, reverseConvertGenerate = false)
public class StudentMindOldBo extends BaseEntity {

    /**
     * ID
     */
    @NotNull(message = "ID不能为空", groups = { EditGroup.class })
    private Long mindId;

    /**
     * 学生id（家长-学生(审核通过之后数据)表id）
     */
    @NotNull(message = "学生id（家长-学生(审核通过之后数据)表id）不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long studentId;

    /**
     * 姓名
     */
    //@NotBlank(message = "姓名不能为空", groups = { AddGroup.class, EditGroup.class })
    private String name;

    /**
     * 性别(1：男，2：女)
     */
    //@NotBlank(message = "性别(1：男，2：女)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String sex;

    /**
     * 年龄
     */
    //@NotBlank(message = "年龄不能为空", groups = { AddGroup.class, EditGroup.class })
    private String age;

    /**
     * 学校
     */
    //@NotBlank(message = "学校不能为空", groups = { AddGroup.class, EditGroup.class })
    private String school;

    /**
     * 学号
     */
    //@NotBlank(message = "学号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String studentNumber;

    /**
     * 身份证号
     */
    //@NotBlank(message = "身份证号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String idCard;

    /**
     * 心理状况
     */
    //@NotBlank(message = "心理状况不能为空", groups = { AddGroup.class, EditGroup.class })
    private String mind;

    /**
     * 心理健康描述
     */
    //@NotBlank(message = "心理健康描述不能为空", groups = { AddGroup.class, EditGroup.class })
    private String psychologicalDescription;

    /**
     * 1：家长，2：老师
     */
    //@NotBlank(message = "1：家长，2：老师不能为空", groups = { AddGroup.class, EditGroup.class })
    private String createType;

    /**
     * 备注
     */
    //@NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;

    private String createByName;


}
