package org.dromara.system.domain.bo;

import org.dromara.system.domain.UpdateApp;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * APP版本描述业务对象 update_app
 *
 * @author boman
 * @date 2023-09-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = UpdateApp.class, reverseConvertGenerate = false)
public class UpdateAppBo extends BaseEntity {

    /**
     *
     */
    //@NotNull(message = "不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 系统：Android：安卓系统，Apple：苹果系统
     */
    //@NotBlank(message = "系统：Android：安卓系统，Apple：苹果系统不能为空", groups = { AddGroup.class, EditGroup.class })
    private String model;

    /**
     * 版本名称
     */
    //@NotBlank(message = "版本名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String name;

    /**
     * 版本号
     */
    //@NotBlank(message = "版本号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String code;

    /**
     * 版本描述
     */
    //@NotBlank(message = "版本描述不能为空", groups = { AddGroup.class, EditGroup.class })
    private String description;

    /**
     * 下载地址
     */
    //@NotBlank(message = "下载地址不能为空", groups = { AddGroup.class, EditGroup.class })
    private String path;

    /**
     * 是否有效 N：失效 Y：有效
     */
    //@NotBlank(message = "是否有效 N：失效 Y：有效不能为空", groups = { AddGroup.class, EditGroup.class })
    private String isDel;


}
