package org.dromara.system.domain.bo;

import org.dromara.system.domain.ZhxyShyj;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 智慧校园_审核意见业务对象 zhxy_shyj
 *
 * @author boman
 * @date 2023-08-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = ZhxyShyj.class, reverseConvertGenerate = false)
public class ZhxyShyjBo extends BaseEntity {

    /**
     * ID
     */
    //@NotNull(message = "ID不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 数据ID
     */
    //@NotNull(message = "数据ID不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long dataId;

    /**
     * 审核类型（1：学校注册，2：老师注册，3：家长注册，4：调课）
     */
    //@NotBlank(message = "审核类型（1：学校注册，2：老师注册，3：家长注册，4：调课）不能为空", groups = { AddGroup.class, EditGroup.class })
    private String type;

    /**
     * 审核人id
     */
    //@NotNull(message = "审核人id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long auditId;

    /**
     * 审核人名称
     */
    //@NotBlank(message = "审核人名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String auditUser;

    /**
     * 审核结果（是否通过  1：待审核，2：通过 3:不通过)
     */
    //@NotBlank(message = "审核结果（是否通过  1：待审核，2：通过 3:不通过)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String shjg;

    /**
     * 审核意见
     */
    //@NotBlank(message = "审核意见不能为空", groups = { AddGroup.class, EditGroup.class })
    private String shyj;

    /**
     * 审核时间
     */
    //@NotNull(message = "审核时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date shsj;

    /**
     * 备注
     */
    //@NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;


}
