package org.dromara.system.domain.info;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serial;

/**
 * 校园安全信息对象 xiaoyuan_info
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xiaoyuan_info")
public class XiaoyuanInfo extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 校园安全信息id
     */
    @TableId(value = "info_id")
    private Long infoId;

    /**
     * 校园安全信息标题
     */
    private String infoTitle;

    /**
     * 信息封面
     */
    private String infoPhoto;

    /**
     * 学校id
     */
    private String schoolId;

    /**
     * 学校名称
     */
    private String schoolName;

    /**
     * 信息类型（1校园广播 2校园安全）
     */
    private String infoType;

    /**
     * 信息子分类
     */
    private String infoTypeZi;

    /**
     * 信息内容
     */
    private String infoContent;

    /**
     * 信息状态（0正常 1关闭）
     */
    private String status;

    /**
     * 发布时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date faBuTime;

    /**
     * 已读人数
     */
    private String infoYiDu;

    /**
     * 点赞人数
     */
    private String infoDianZan;

    /**
     * 点赞表id
     */
    private Long infoDianZanId;

    /**
     * 转发人数
     */
    private String infoZhuanFa;

    /**
     * 信息评论表id
     */
    private Long infoPingLunId;

    /**
     * 备注
     */
    private String remark;


}
