package org.dromara.system.domain.bo;


import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.dromara.system.domain.info.XiaoyuanInfo;

/**
 * 校园安全信息业务对象 xiaoyuan_info
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = XiaoyuanInfo.class, reverseConvertGenerate = false)
public class XiaoyuanInfoBo extends BaseEntity {

    /**
     * 校园安全信息id
     */
    //@NotNull(message = "校园安全信息id不能为空", groups = { EditGroup.class })
    private Long infoId;

    /**
     * 校园安全信息标题
     */
    //@NotBlank(message = "校园安全信息标题不能为空", groups = { AddGroup.class, EditGroup.class })
    private String infoTitle;

    /**
     * 信息封面
     */
    //@NotBlank(message = "信息封面不能为空", groups = { AddGroup.class, EditGroup.class })
    private String infoPhoto;

    /**
     * 学校id
     */
    //@NotBlank(message = "学校id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String schoolId;

    /**
     * 学校名称
     */
    //@NotBlank(message = "学校名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String schoolName;

    /**
     * 信息类型（1校园广播 2校园安全）
     */
    //@NotBlank(message = "信息类型（1校园广播 2校园安全）不能为空", groups = { AddGroup.class, EditGroup.class })
    private String infoType;

    /**
     * 信息子分类
     */
    //@NotBlank(message = "信息子分类不能为空", groups = { AddGroup.class, EditGroup.class })
    private String infoTypeZi;

    /**
     * 信息内容
     */
    //@NotBlank(message = "信息内容不能为空", groups = { AddGroup.class, EditGroup.class })
    private String infoContent;

    /**
     * 信息状态（0正常 1关闭）
     */
    //@NotBlank(message = "信息状态（0正常 1关闭）不能为空", groups = { AddGroup.class, EditGroup.class })
    private String status;

    /**
     * 发布时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date faBuTime;

    /**
     * 已读人数
     */
    private String infoYiDu;

    /**
     * 点赞人数
     */
    private String infoDianZan;

    /**
     * 点赞表id
     */
    private Long infoDianZanId;

    /**
     * 转发人数
     */
    private String infoZhuanFa;

    /**
     * 信息评论表id
     */
    private Long infoPingLunId;

    /**
     * 备注
     */
    //@NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;


}
