package org.dromara.system.domain.info.vo;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.info.XiaoyuanInfo;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 校园安全信息视图对象 xiaoyuan_info
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = XiaoyuanInfo.class)
public class XiaoyuanInfoVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 校园安全信息id
     */
    @ExcelProperty(value = "校园安全信息id")
    private Long infoId;

    /**
     * 校园安全信息标题
     */
    @ExcelProperty(value = "校园安全信息标题")
    private String infoTitle;

    /**
     * 信息封面
     */
    @ExcelProperty(value = "信息封面")
    private String infoPhoto;

    /**
     * 学校id
     */
    @ExcelProperty(value = "学校id")
    private String schoolId;

    /**
     * 学校名称
     */
    @ExcelProperty(value = "学校名称")
    private String schoolName;

    /**
     * 信息类型（1校园广播 2校园安全）
     */
    @ExcelProperty(value = "信息类型", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "1=校园广播,2=校园安全")
    private String infoType;

    /**
     * 信息子分类
     */
    @ExcelProperty(value = "信息子分类")
    private String infoTypeZi;

    /**
     * 信息内容
     */
    @ExcelProperty(value = "信息内容")
    private String infoContent;

    /**
     * 信息状态（0正常 1关闭）
     */
    @ExcelProperty(value = "信息状态", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "0=正常,1=关闭")
    private String status;

    /**
     * 发布时间
     */
    @ExcelProperty(value = "发布时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date faBuTime;

    /**
     * 已读人数
     */
    @ExcelProperty(value = "已读人数")
    private String infoYiDu;

    /**
     * 点赞人数
     */
    @ExcelProperty(value = "点赞人数")
    private String infoDianZan;

    /**
     * 点赞表id
     */
    @ExcelProperty(value = "点赞表id")
    private Long infoDianZanId;

    /**
     * 转发人数
     */
    @ExcelProperty(value = "转发人数")
    private String infoZhuanFa;

    /**
     * 是否点赞,只作为查询使用
     */
    @TableField(exist = false)
    private String isDianZan;
    /**
     * 信息评论表id
     */
    @ExcelProperty(value = "信息评论表id")
    private Long infoPingLunId;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;
    /** 校园安全信息评论信息 */
    @TableField(exist = false)
    private List<InfoPingLunVo> infoPingLunList;


}
