package org.dromara.system.domain.notice;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 校园新闻对象 xiaoyuan_notice
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xiaoyuan_notice")
public class XiaoyuanNotice extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 新闻ID
     */
    @TableId(value = "notice_id")
    private Long noticeId;

    /**
     * 新闻缩略图
     */
    private String image;

    /**
     * 新闻标题
     */
    private String noticeTitle;

    /**
     * 新闻类型（1系统通知 2代办通知）
     */
    private String noticeType;

    /**
     * 新闻内容
     */
    private String noticeContent;

    /**
     * 新闻状态（0未读 1已读）
     */
    private String status;

    /**
     * 隐私种类 0:全部 1:仅可见 2:仅不可见 3:仅自己
     */
    private String type;

    /**
     * 可见班级id
     */
    private String classIdKeJian;

    /**
     * 不可见班级id
     */
    private String classIdBuKeJian;

    /**
     * 发件人id
     */
    private String senderId;

    /**
     * 发件人姓名
     */
    private String senderName;

    /**
     * 发件人班级id
     */
    private String senderDept;

    /**
     * 备注
     */
    private String remark;

    /**
     * 学校名称
     */
    private String schoolName;

    /**
     * 头像地址
     */
    private Long avatar;

    /**
     * 评论
     */
    private String comment;

    /**
     * 点赞
     */
    private String prised;

    /**
     * 收藏
     */
    private String collect;


}
