package org.dromara.system.domain.notice.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.notice.XiaoyuanNotice;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 校园新闻视图对象 xiaoyuan_notice
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = XiaoyuanNotice.class)
public class XiaoyuanNoticeVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 新闻ID
     */
    @ExcelProperty(value = "新闻ID")
    private Long noticeId;

    /**
     * 新闻缩略图
     */
    @ExcelProperty(value = "新闻缩略图")
    private String image;

    /**
     * 新闻标题
     */
    @ExcelProperty(value = "新闻标题")
    private String noticeTitle;

    /**
     * 新闻类型（1系统通知 2代办通知）
     */
    @ExcelProperty(value = "新闻类型", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "1=系统通知,2=代办通知")
    private String noticeType;

    /**
     * 新闻内容
     */
    @ExcelProperty(value = "新闻内容")
    private String noticeContent;

    /**
     * 新闻状态（0未读 1已读）
     */
    @ExcelProperty(value = "新闻状态", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "0=未读,1=已读")
    private String status;

    /**
     * 隐私种类 0:全部 1:仅可见 2:仅不可见 3:仅自己
     */
    @ExcelProperty(value = "隐私种类 0:全部 1:仅可见 2:仅不可见 3:仅自己")
    private String type;

    /**
     * 可见班级id
     */
    @ExcelProperty(value = "可见班级id")
    private String classIdKeJian;

    /**
     * 不可见班级id
     */
    @ExcelProperty(value = "不可见班级id")
    private String classIdBuKeJian;

    /**
     * 发件人id
     */
    @ExcelProperty(value = "发件人id")
    private String senderId;

    /**
     * 发件人姓名
     */
    @ExcelProperty(value = "发件人姓名")
    private String senderName;

    /**
     * 发件人班级id
     */
    @ExcelProperty(value = "发件人班级id")
    private String senderDept;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 学校名称
     */
    @ExcelProperty(value = "学校名称")
    private String schoolName;

    /**
     * 头像地址
     */
    @ExcelProperty(value = "头像地址")
    private Long avatar;

    /**
     * 评论
     */
    @ExcelProperty(value = "评论")
    private String comment;

    /**
     * 点赞
     */
    @ExcelProperty(value = "点赞")
    private String prised;

    /**
     * 收藏
     */
    @ExcelProperty(value = "收藏")
    private String collect;

    /**
     * 创建者
     */

    private Long createBy;

    /**
     * 创建时间
     */

    private Date createTime;

    /**
     * 更新者
     */

    private Long updateBy;

    /**
     * 更新时间
     */

    private Date updateTime;

}
