package org.dromara.system.domain.opinion;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 校园建议ID对象 xiaoyuan_opinion
 *
 * @author boman
 * @date 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xiaoyuan_opinion")
public class XiaoyuanOpinion extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 校园建议ID
     */
    @TableId(value = "opinion_id")
    private Long opinionId;

    /**
     * 建议内容
     */
    private String opinionDetails;

    /**
     * 建议回复
     */
    private String opinionReply;

    /**
     * 建议状态 1:未查看 2:已查看
     */
    private String opinionType;

    /**
     * 建议图片地址
     */
    private String opinionPhoto;

    /**
     * 备注
     */
    private String remark;


}
