package org.dromara.system.domain.opinion.bo;


import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.dromara.system.domain.opinion.XiaoyuanOpinion;

/**
 * 校园建议ID业务对象 xiaoyuan_opinion
 *
 * @author boman
 * @date 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = XiaoyuanOpinion.class, reverseConvertGenerate = false)
public class XiaoyuanOpinionBo extends BaseEntity {

    /**
     * 校园建议ID
     */
    //@NotNull(message = "校园建议ID不能为空", groups = { EditGroup.class })
    private Long opinionId;

    /**
     * 建议内容
     */
    //@NotBlank(message = "建议内容不能为空", groups = { AddGroup.class, EditGroup.class })
    private String opinionDetails;

    /**
     * 建议回复
     */
    //@NotBlank(message = "建议回复不能为空", groups = { AddGroup.class, EditGroup.class })
    private String opinionReply;

    /**
     * 建议状态 1:未查看 2:已查看
     */
    //@NotBlank(message = "建议状态 1:未查看 2:已查看不能为空", groups = { AddGroup.class, EditGroup.class })
    private String opinionType;

    /**
     * 建议图片地址
     */
    //@NotBlank(message = "建议图片地址不能为空", groups = { AddGroup.class, EditGroup.class })
    private String opinionPhoto;

    /**
     * 备注
     */
    //@NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;


}
