package org.dromara.system.domain.opinion.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.opinion.XiaoyuanOpinion;
import java.io.Serial;
import java.io.Serializable;



/**
 * 校园建议ID视图对象 xiaoyuan_opinion
 *
 * @author boman
 * @date 2023-09-15
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = XiaoyuanOpinion.class)
public class XiaoyuanOpinionVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 校园建议ID
     */
    @ExcelProperty(value = "校园建议ID")
    private Long opinionId;

    /**
     * 建议内容
     */
    @ExcelProperty(value = "建议内容")
    private String opinionDetails;

    /**
     * 建议回复
     */
    @ExcelProperty(value = "建议回复")
    private String opinionReply;

    /**
     * 建议状态 1:未查看 2:已查看
     */
    @ExcelProperty(value = "建议状态 1:未查看 2:已查看")
    private String opinionType;

    /**
     * 建议图片地址
     */
    @ExcelProperty(value = "建议图片地址")
    private String opinionPhoto;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
