package org.dromara.system.domain.pay.vo;

import cn.hutool.json.JSONArray;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.fastjson2.JSONObject;
import com.amazonaws.util.json.Jackson;
import com.baomidou.mybatisplus.annotation.TableField;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.pay.XiaoyuanPay;
import java.io.Serial;
import java.io.Serializable;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * 教职工工资条视图对象 xiaoyuan_pay
 *
 * @author boman
 * @date 2023-09-05
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = XiaoyuanPay.class)
public class XiaoyuanPayVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 新闻ID
     */
    @ExcelProperty(value = "新闻ID")
    private Long payId;

    /**
     * 教职工姓名
     */
    @ExcelProperty(value = "教职工姓名")
    private String teacherName;

    /**
     * 教职工id
     */
    @ExcelProperty(value = "教职工id")
    private Long teacherId;

    /**
     * 教职工工号
     */
    private String teacherNum;

    /**
     * 表头
     */
    @ExcelProperty(value = "表头")
    private String tableHead;

    /**
     * 内容
     */
    @ExcelProperty(value = "内容")
    private String tableDetail;

    /**
     * 发放时间
     */
    private String payTime;

    private String year;
    private String month;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;
    /**
     * 返回的动态表头数据
     */
    @TableField(exist = false)
    private JSONArray tableLabelJA;
    /**
     * 返回的动态数据
     */
    @TableField(exist = false)
    private List<JSONObject> tableDataJO;



}
