package org.dromara.system.domain.record;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serial;

/**
 * 请假记录信息对象 record_leave
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("record_leave")
public class RecordLeave extends BaseEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(value = "record_id")
    private Long recordId;
    private Long deptId;

    /**
     * 类型 1：临时请假 2：事假
     */
    private String type;

    /**
     * 请假开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 请假结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 请假理由
     */
    private String reason;

    /**
     * 班级id
     */
    private Long classId;

    /**
     * 班级名称
     */
    private String className;

    /**
     * 请假人id
     */
    private String absenteeId;

    /**
     * 请假人姓名
     */
    private String absenteeName;

    /**
     * 审批人员id
     */
    private Long examinersId;

    /**
     * 审批人员姓名
     */
    private String examinersName;

    /**
     * 请假类别 1：病假，2：产假，3：陪产假，4：婚假，5：丧假，6：其他
     */
    private String category;

    /**
     * 是否通过 0：未处理，1：不通过，2：通过
     */
    private String isPass;

    /**
     * 图片地址
     */
    private String photo;

    /**
     * 提交时间
     */
    private Date submitTime;

    /**
     * 备注
     */
    private String remark;


}
