package org.dromara.system.domain.record.bo;


import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.dromara.system.domain.record.RecordLeave;

/**
 * 请假记录信息业务对象 record_leave
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = RecordLeave.class, reverseConvertGenerate = false)
public class RecordLeaveBo extends BaseEntity {

    /**
     *
     */
    //@NotNull(message = "不能为空", groups = { EditGroup.class })
    private Long recordId;

    /**
     * 类型 1：临时请假 2：事假
     */
    //@NotBlank(message = "类型 1：临时请假 2：事假不能为空", groups = { AddGroup.class, EditGroup.class })
    private String type;
    private Long deptId;

    /**
     * 请假开始时间
     */
    //@NotNull(message = "请假开始时间不能为空", groups = { AddGroup.class, EditGroup.class })
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")

    private Date startTime;

    /**
     * 请假结束时间
     */
    //@NotNull(message = "请假结束时间不能为空", groups = { AddGroup.class, EditGroup.class })
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 请假理由
     */
    //@NotBlank(message = "请假理由不能为空", groups = { AddGroup.class, EditGroup.class })
    private String reason;

    /**
     * 班级id
     */
    //@NotNull(message = "班级id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String classId;

    /**
     * 班级名称
     */
    //@NotBlank(message = "班级名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String className;

    /**
     * 请假人id
     */
    //@NotBlank(message = "请假人id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String absenteeId;

    /**
     * 请假人姓名
     */
    //@NotBlank(message = "请假人姓名不能为空", groups = { AddGroup.class, EditGroup.class })
    private String absenteeName;

    /**
     * 审批人员id
     */
    //@NotNull(message = "审批人员id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long examinersId;

    /**
     * 审批人员姓名
     */
    //@NotBlank(message = "审批人员姓名不能为空", groups = { AddGroup.class, EditGroup.class })
    private String examinersName;

    /**
     * 请假类别 1：病假，2：产假，3：陪产假，4：婚假，5：丧假，6：其他
     */
    //@NotBlank(message = "请假类别 1：病假，2：产假，3：陪产假，4：婚假，5：丧假，6：其他不能为空", groups = { AddGroup.class, EditGroup.class })
    private String category;

    /**
     * 是否通过 0：未处理，1：不通过，2：通过
     */
    //@NotBlank(message = "是否通过 0：未处理，1：不通过，2：通过不能为空", groups = { AddGroup.class, EditGroup.class })
    private String isPass;

    /**
     * 图片地址
     */
    //@NotBlank(message = "图片地址不能为空", groups = { AddGroup.class, EditGroup.class })
    private String photo;

    /**
     * 提交时间
     */
    //@NotNull(message = "提交时间不能为空", groups = { AddGroup.class, EditGroup.class })
    private Date submitTime;

    /**
     * 备注
     */
    //@NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;


}
