package org.dromara.system.domain.record.vo;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.record.RecordLeave;
import java.io.Serial;
import java.io.Serializable;



/**
 * 请假记录信息视图对象 record_leave
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = RecordLeave.class)
public class RecordLeaveVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private Long recordId;
    private Long deptId;

    /**
     * 类型 1：临时请假 2：事假
     */
    @ExcelProperty(value = "类型 1：临时请假 2：事假")
    private String type;

    /**
     * 请假开始时间
     */
    @ExcelProperty(value = "请假开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 请假结束时间
     */
    @ExcelProperty(value = "请假结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 请假理由
     */
    @ExcelProperty(value = "请假理由")
    private String reason;

    /**
     * 班级id
     */
    @ExcelProperty(value = "班级id")
    private Long classId;

    /**
     * 班级名称
     */
    @ExcelProperty(value = "班级名称")
    private String className;

    /**
     * 请假人id
     */
    @ExcelProperty(value = "请假人id")
    private String absenteeId;

    /**
     * 请假人姓名
     */
    @ExcelProperty(value = "请假人姓名")
    private String absenteeName;

    /**
     * 审批人员id
     */
    @ExcelProperty(value = "审批人员id")
    private Long examinersId;

    /**
     * 审批人员姓名
     */
    @ExcelProperty(value = "审批人员姓名")
    private String examinersName;

    /**
     * 请假类别 1：病假，2：产假，3：陪产假，4：婚假，5：丧假，6：其他
     */
    @ExcelProperty(value = "请假类别 1：病假，2：产假，3：陪产假，4：婚假，5：丧假，6：其他")
    private String category;

    /**
     * 是否通过 0：未处理，1：不通过，2：通过
     */
    @ExcelProperty(value = "是否通过 0：未处理，1：不通过，2：通过")
    private String isPass;

    /**
     * 图片地址
     */
    @ExcelProperty(value = "图片地址")
    private String photo;

    /**
     * 提交时间
     */
    @ExcelProperty(value = "提交时间")
    private Date submitTime;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
