package org.dromara.system.domain.reservat;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import java.io.Serial;

/**
 * 校园预约对象 xiaoyuan_reservat
 *
 * @author boman
 * @date 2023-09-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xiaoyuan_reservat")
public class XiaoyuanReservat extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 校园预约ID
     */
    @TableId(value = "reservat_id")
    private Long reservatId;

    /**
     * 租户编号
     */
    private String tenantId;

    /**
     * 教职工姓名
     */
    private String teacherName;

    /**
     * 教职工手机号
     */
    private String teacherPhone;

    /**
     * 来访者姓名
     */
    private String visitName;

    /**
     * 来访者手机号
     */
    private String visitPhone;

    /**
     * 来访者身份证
     */
    private String visitIdCard;

    /**
     * 来访者事由
     */
    private String visitReason;

    /**
     * 来访者补充事由
     */
    private String visitRemark;

    /**
     * 预约日期
     */
    private String visitDate;

    /**
     * 预约时间
     */
    private String visitTime;

    /**
     * 预约时间
     */
    private String visitDateTime;

    /**
     * 预约二维码
     */
    private String visitQr;

    /**
     * 预约状态 1:等待审核 2:未审核 3:已审核
     */
    private String visitType;

    /**
     * 是否入场 1:未入场 2:已入场
     */
    private String visitStatus;

    /**
     * 备注
     */
    private String remark;

    /**
     * 查询的时间条件 1:今天 2:昨天 3:近7天 4:近30天
     */
    @TableField(exist = false)
    private String dataType;

}
