package org.dromara.system.domain.reservat;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import java.io.Serial;

/**
 * 校园预约配置对象 xiaoyuan_reservat_config
 *
 * @author boman
 * @date 2023-09-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xiaoyuan_reservat_config")
public class XiaoyuanReservatConfig extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 校园预约配置ID
     */
    @TableId(value = "reservat_config_id")
    private Long reservatConfigId;

    /**
     * 教职工姓名
     */
    private String teacherName;

    /**
     * 教职工id
     */
    private Long teacherId;

    /**
     * 教职工手机号
     */
    private String teacherPhone;

    /**
     * 教职工可预约日期
     */
    private String reservatConfigDate;

    /**
     * 教职工可预约时间上午开始
     */
    private String reservatConfigTimeAmBegin;

    /**
     * 教职工可预约时间上午结束
     */
    private String reservatConfigTimeAmEnd;

    /**
     * 教职工可预约时间下午开始
     */
    private String reservatConfigTimePmBegin;

    /**
     * 教职工可预约时间下午结束
     */
    private String reservatConfigTimePmEnd;

    /**
     * 可预约次数
     */
    private Long reservatConfigNum;

    /**
     * 备注
     */
    private String remark;


}
