package org.dromara.system.domain.reservat.bo;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.dromara.system.domain.reservat.XiaoyuanReservatConfig;

/**
 * 校园预约配置业务对象 xiaoyuan_reservat_config
 *
 * @author boman
 * @date 2023-09-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = XiaoyuanReservatConfig.class, reverseConvertGenerate = false)
public class XiaoyuanReservatConfigBo extends BaseEntity {

    /**
     * 校园预约配置ID
     */
    //@NotNull(message = "校园预约配置ID不能为空", groups = { EditGroup.class })
    private Long reservatConfigId;

    /**
     * 租户编号
     */
    private String tenantId;

    /**
     * 教职工姓名
     */
    //@NotBlank(message = "教职工姓名不能为空", groups = { AddGroup.class, EditGroup.class })
    private String teacherName;

    /**
     * 教职工id
     */
    //@NotNull(message = "教职工id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long teacherId;

    /**
     * 教职工手机号
     */
    //@NotBlank(message = "教职工手机号不能为空", groups = { AddGroup.class, EditGroup.class })
    private String teacherPhone;

    /**
     * 教职工可预约日期
     */
    //@NotBlank(message = "教职工可预约日期不能为空", groups = { AddGroup.class, EditGroup.class })
    private String reservatConfigDate;

    /**
     * 教职工可预约时间上午开始
     */
    //@NotNull(message = "教职工可预约时间上午开始不能为空", groups = { AddGroup.class, EditGroup.class })
    private String reservatConfigTimeAmBegin;

    /**
     * 教职工可预约时间上午结束
     */
    //@NotNull(message = "教职工可预约时间上午结束不能为空", groups = { AddGroup.class, EditGroup.class })
    private String reservatConfigTimeAmEnd;

    /**
     * 教职工可预约时间下午开始
     */
    //@NotNull(message = "教职工可预约时间下午开始不能为空", groups = { AddGroup.class, EditGroup.class })
    private String reservatConfigTimePmBegin;

    /**
     * 教职工可预约时间下午结束
     */
    //@NotNull(message = "教职工可预约时间下午结束不能为空", groups = { AddGroup.class, EditGroup.class })
    private String reservatConfigTimePmEnd;

    /**
     * 可预约次数
     */
    //@NotNull(message = "可预约次数不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long reservatConfigNum;

    /**
     * 备注
     */
    //@NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;


}
