package org.dromara.system.domain.reservat.vo;

import java.util.Date;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.reservat.XiaoyuanReservatConfig;

import java.io.Serial;
import java.io.Serializable;



/**
 * 校园预约配置视图对象 xiaoyuan_reservat_config
 *
 * @author boman
 * @date 2023-09-12
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = XiaoyuanReservatConfig.class)
public class XiaoyuanReservatConfigVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 校园预约配置ID
     */
    @ExcelProperty(value = "校园预约配置ID")
    private Long reservatConfigId;

    /**
     * 租户编号
     */
    private String tenantId;

    /**
     * 教职工姓名
     */
    @ExcelProperty(value = "教职工姓名")
    private String teacherName;

    /**
     * 教职工id
     */
    @ExcelProperty(value = "教职工id")
    private Long teacherId;

    /**
     * 教职工手机号
     */
    @ExcelProperty(value = "教职工手机号")
    private String teacherPhone;

    /**
     * 教职工可预约日期
     */
    @ExcelProperty(value = "教职工可预约日期")
    private String reservatConfigDate;

    /**
     * 教职工可预约时间上午开始
     */
    @ExcelProperty(value = "教职工可预约时间上午开始")
    private String reservatConfigTimeAmBegin;

    /**
     * 教职工可预约时间上午结束
     */
    @ExcelProperty(value = "教职工可预约时间上午结束")
    private String reservatConfigTimeAmEnd;

    /**
     * 教职工可预约时间下午开始
     */
    @ExcelProperty(value = "教职工可预约时间下午开始")
    private String reservatConfigTimePmBegin;

    /**
     * 教职工可预约时间下午结束
     */
    @ExcelProperty(value = "教职工可预约时间下午结束")
    private String reservatConfigTimePmEnd;

    /**
     * 可预约次数
     */
    @ExcelProperty(value = "可预约次数")
    private Long reservatConfigNum;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
