package org.dromara.system.domain.reservat.vo;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.reservat.XiaoyuanReservat;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 校园预约视图对象 xiaoyuan_reservat
 *
 * @author boman
 * @date 2023-09-12
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = XiaoyuanReservat.class)
public class XiaoyuanReservatVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 校园预约ID
     */
    @ExcelProperty(value = "校园预约ID")
    private Long reservatId;

    /**
     * 租户编号
     */
    private String tenantId;

    /**
     * 教职工姓名
     */
    @ExcelProperty(value = "教职工姓名")
    private String teacherName;

    /**
     * 教职工手机号
     */
    @ExcelProperty(value = "教职工手机号")
    private String teacherPhone;

    /**
     * 来访者姓名
     */
    @ExcelProperty(value = "来访者姓名")
    private String visitName;

    /**
     * 来访者手机号
     */
    @ExcelProperty(value = "来访者手机号")
    private String visitPhone;

    /**
     * 来访者身份证
     */
    @ExcelProperty(value = "来访者身份证")
    private String visitIdCard;

    /**
     * 来访者事由
     */
    @ExcelProperty(value = "来访者事由")
    private String visitReason;

    /**
     * 来访者补充事由
     */
    @ExcelProperty(value = "来访者补充事由")
    private String visitRemark;

    /**
     * 预约日期
     */
    @ExcelProperty(value = "预约日期")
    private String visitDate;

    /**
     * 预约时间
     */
    @ExcelProperty(value = "预约时间")
    private String visitTime;

    /**
     * 预约时间
     */
    @ExcelProperty(value = "预约时间")
    private String visitDateTime;

    /**
     * 预约二维码
     */
    @ExcelProperty(value = "预约二维码")
    private String visitQr;

    /**
     * 预约状态 1:等待审核 2:未审核 3:已审核
     */
    @ExcelProperty(value = "预约状态 1:等待审核 2:未审核 3:已审核")
    private String visitType;

    /**
     * 是否入场 1:未入场 2:已入场
     */
    @ExcelProperty(value = "是否入场 1:未入场 2:已入场")
    private String visitStatus;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;
    /**
     * 查询的时间条件 1:今天 2:昨天 3:近7天 4:近30天
     */
    @TableField(exist = false)
    private String dataType;


}
