package org.dromara.system.domain.school;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 学校名称对象 sys_school_name
 *
 * @author boman
 * @date 2023-08-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("sys_school_name")
public class SysSchoolName extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
    @TableId(value = "school_name_id")
    private Long schoolNameId;

    /**
     * 首字母
     */
    private String initial;

    /**
     * 学校名称
     */
    private String schoolName;

    /**
     * 学校联系人
     */
    private String schoolContacts;

    /**
     * 学校联系人手机
     */
    private String schoolContactsPhone;

    /**
     * 备注
     */
    private String remark;


}
