package org.dromara.system.domain.school.bo;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.dromara.system.domain.school.SysSchoolName;

/**
 * 学校名称业务对象 sys_school_name
 *
 * @author boman
 * @date 2023-08-21
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = SysSchoolName.class, reverseConvertGenerate = false)
public class SysSchoolNameBo extends BaseEntity {

    /**
     * 用户ID
     */
    @NotNull(message = "用户ID不能为空", groups = { EditGroup.class })
    private Long schoolNameId;

    /**
     * 首字母
     */
    @NotBlank(message = "首字母不能为空", groups = { AddGroup.class, EditGroup.class })
    private String initial;

    /**
     * 学校名称
     */
    @NotBlank(message = "学校名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String schoolName;

    /**
     * 学校联系人
     */
    @NotBlank(message = "学校联系人不能为空", groups = { AddGroup.class, EditGroup.class })
    private String schoolContacts;

    /**
     * 学校联系人手机
     */
    @NotBlank(message = "学校联系人手机不能为空", groups = { AddGroup.class, EditGroup.class })
    private String schoolContactsPhone;

    /**
     * 备注
     */
    @NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;


}
