package org.dromara.system.domain.school.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.school.SysSchoolName;
import java.io.Serial;
import java.io.Serializable;



/**
 * 学校名称视图对象 sys_school_name
 *
 * @author boman
 * @date 2023-08-21
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = SysSchoolName.class)
public class SysSchoolNameVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
    @ExcelProperty(value = "用户ID")
    private Long schoolNameId;

    /**
     * 首字母
     */
    @ExcelProperty(value = "首字母")
    private String initial;

    /**
     * 学校名称
     */
    @ExcelProperty(value = "学校名称")
    private String schoolName;

    /**
     * 学校联系人
     */
    @ExcelProperty(value = "学校联系人")
    private String schoolContacts;

    /**
     * 学校联系人手机
     */
    @ExcelProperty(value = "学校联系人手机")
    private String schoolContactsPhone;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
