package org.dromara.system.domain.score;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;

import java.io.Serial;

/**
 * 成绩对象 score_data
 *
 * @author boman
 * @date 2023-08-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("score_data")
public class ScoreData extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 考试id
     */
    @TableId(value = "score_id")
    private Long scoreId;

    /**
     * 考试名称
     */
    private String scoreTitle;

    /**
     * 考试时间
     */
    //@JsonFormat(pattern = "yyyy-MM-dd")
    private String scoreTime;

    /**
     * 接收班级id
     */
    private String scoreClassId;

    /**
     * 学生姓名只做查询使用
     */
    @TableField(exist = false)
    private String scoreDataName;

    /**
     * 接收班级名称
     */
    private String scoreClassName;

    /**
     * 隐私设置 1:仅自己 2:仅本班 3:全部
     */
    private String privacyType;
    /**
     * 是否进行年级统计 N:否 Y:是 必须保证同一年级考试时间一样
     */
    private String scoreType;

    /**
     * 备注
     */
    private String remark;

    /**
     * 班级平均分
     */
    private double avg;


}
