package org.dromara.system.domain.score.bo;

import com.baomidou.mybatisplus.annotation.TableField;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.dromara.system.domain.score.ScoreData;

/**
 * 成绩业务对象 score_data
 *
 * @author boman
 * @date 2023-08-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = ScoreData.class, reverseConvertGenerate = false)
public class ScoreDataBo extends BaseEntity {

    /**
     * 考试id
     */
    //@NotNull(message = "考试id不能为空", groups = { EditGroup.class })
    private Long scoreId;

    /**
     * 考试名称
     */
    //@NotBlank(message = "考试名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String scoreTitle;

    /**
     * 考试时间
     */
    //@NotNull(message = "考试时间不能为空", groups = { AddGroup.class, EditGroup.class })
    //@JsonFormat(pattern = "yyyy-MM-dd")
    private String scoreTime;

    /**
     * 接收班级id
     */
    //@NotBlank(message = "接收班级id不能为空", groups = { AddGroup.class, EditGroup.class })
    private String scoreClassId;

    /**
     * 接收班级名称
     */
    //@NotBlank(message = "接收班级名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String scoreClassName;

    /**
     * 隐私设置 1:仅自己 2:仅本班 3:全部
     */
    //@NotBlank(message = "隐私设置 1:仅自己 2:仅本班 3:全部不能为空", groups = { AddGroup.class, EditGroup.class })
    private String privacyType;
    /**
     * 是否进行年级统计
     */
    private String scoreType;

    /**
     * 备注
     */
    //@NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;

    /**
     * 班级平均分
     */
    //@NotBlank(message = "班级平均分不能为空", groups = { AddGroup.class, EditGroup.class })
    private String avg;

    @TableField(exist = false)
    private List<ScoreDataStudentBo> scoreDataStudentBoList;

    /**
     * 成绩满分
     */
    @TableField(exist = false)
    private List<ScoreDataMfBo> scoreDataMfBoList;
    /**
     * 学科
     */
    @TableField(exist = false)
    private String xueke;

    /**
     * 学生姓名只做查询使用
     */
    @TableField(exist = false)
    private String scoreDataName;

}
