package org.dromara.system.domain.score.bo;

import com.baomidou.mybatisplus.annotation.TableField;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.dromara.system.domain.score.ScoreDataDetail;

import java.util.List;

/**
 * 成绩_成绩详情id业务对象 score_data_detail
 *
 * @author boman
 * @date 2023-08-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = ScoreDataDetail.class, reverseConvertGenerate = false)
public class ScoreDataDetailBo extends BaseEntity {

    /**
     * 成绩表_成绩详情id
     */

    private Long scoreDetailId;

    /**
     * 成绩表id
     */

    private Long scoreId;

    /**
     * 排序
     */

    private int scoreSort;

    /**
     * 姓名
     */

    private String scoreDataName;

    /**
     * 学生姓名id
     */

    private Long scoreDataNameId;

    /**
     * 学号
     */
    private String studentNumber;

    /**
     * 学科
     */

    private String xueke;

    /**
     * 成绩
     */
    //@NotBlank(message = "成绩不能为空", groups = { AddGroup.class, EditGroup.class })
    private Double score;

    /**
     * 满分
     */
    //@NotBlank(message = "满分不能为空", groups = { AddGroup.class, EditGroup.class })
    private String manfen;

    /**
     * 备注
     */
    //@NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;

    /**
     * 学科平均分
     */
    private String avg;

    @TableField(exist = false)
    private List<ScoreDataStudentBo> scoreDataStudentBoList;
}
