package org.dromara.system.domain.score.bo;

import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.dromara.system.domain.score.ScoreDataMf;

/**
 * 成绩满分业务对象 score_data_mf
 *
 * @author boman
 * @date 2023-08-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = ScoreDataMf.class, reverseConvertGenerate = false)
public class ScoreDataMfBo extends BaseEntity {

    /**
     * 学科满分id
     */
    @NotNull(message = "学科满分id不能为空", groups = { EditGroup.class })
    private Long mfId;

    /**
     * 成绩表id
     */
    @NotNull(message = "成绩表id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long scoreId;

    /**
     * 学科
     */
    @NotBlank(message = "学科不能为空", groups = { AddGroup.class, EditGroup.class })
    private String xueke;

    /**
     * 满分
     */
    @NotBlank(message = "满分不能为空", groups = { AddGroup.class, EditGroup.class })
    private String manfen;

    /**
     * 平均分
     */
    @NotBlank(message = "平均分不能为空", groups = { AddGroup.class, EditGroup.class })
    private String avg;

    /**
     * 备注
     */
    @NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;


}
