package org.dromara.system.domain.score.bo;

import com.baomidou.mybatisplus.annotation.TableField;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.dromara.system.domain.score.ScoreDataStudent;

import java.util.List;

/**
 * 成绩_子学生id业务对象 score_data_student
 *
 * @author boman
 * @date 2023-08-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = ScoreDataStudent.class, reverseConvertGenerate = false)
public class ScoreDataStudentBo extends BaseEntity {

    /**
     * 成绩表_子表学生id
     */
    //@NotNull(message = "成绩表_子表学生id不能为空", groups = { EditGroup.class })
    private Long scoreStudentId;

    /**
     * 成绩表id
     */
    //@NotNull(message = "成绩表id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long scoreId;

    /**
     * 排序
     */
    //@NotBlank(message = "排序不能为空", groups = { AddGroup.class, EditGroup.class })
    private int scoreSort;

    /**
     * 姓名
     */
    //@NotBlank(message = "姓名不能为空", groups = { AddGroup.class, EditGroup.class })
    private String scoreDataName;

    /**
     * 学生姓名id
     */
    //@NotNull(message = "学生姓名id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long scoreDataNameId;
    /**
     * 学号
     */
    private String studentNumber;

    /**
     * 总分
     */
    //@NotBlank(message = "总分不能为空", groups = { AddGroup.class, EditGroup.class })
    private Double zongfen;

    /**
     * 平均分
     */
    //@NotBlank(message = "平均分不能为空", groups = { AddGroup.class, EditGroup.class })
    private String avg;

    /**
     * 是否查看 N:否 Y:是
     */
    //@NotBlank(message = "是否查看 N:否 Y:是不能为空", groups = { AddGroup.class, EditGroup.class })
    private String detailsType;

    /**
     * 备注
     */
    //@NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;
    @TableField(exist = false)

    private List<ScoreDataDetailBo> scoreDataDetailBoList;
}
