package org.dromara.system.domain.score.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.score.ScoreDataMf;
import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 成绩满分视图对象 score_data_mf
 *
 * @author boman
 * @date 2023-08-22
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = ScoreDataMf.class)
public class ScoreDataMfVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 学科满分id
     */
    @ExcelProperty(value = "学科满分id")
    private Long mfId;

    /**
     * 成绩表id
     */
    @ExcelProperty(value = "成绩表id")
    private Long scoreId;

    /**
     * 学科
     */
    @ExcelProperty(value = "学科")
    private String xueke;

    /**
     * 满分
     */
    @ExcelProperty(value = "满分")
    private String manfen;

    /**
     * 平均分
     */
    @ExcelProperty(value = "平均分")
    private String avg;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
