package org.dromara.system.domain.score.vo;


import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.score.ScoreDataStudent;
import org.dromara.system.domain.score.bo.ScoreDataDetailBo;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 成绩_子学生id视图对象 score_data_student
 *
 * @author boman
 * @date 2023-08-17
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = ScoreDataStudent.class)
public class ScoreDataStudentVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 成绩表_子表学生id
     */
    @ExcelProperty(value = "成绩表_子表学生id")
    private Long scoreStudentId;

    /**
     * 学号
     */
    private String studentNumber;

    /**
     * 成绩表id
     */
    @ExcelProperty(value = "成绩表id")
    private Long scoreId;

    /**
     * 班级排序
     */
    @ExcelProperty(value = "排序")
    private int scoreSort;
    /**
     * 年级排序
     */
    @TableField(exist = false)
    private int scoreSortGrade;

    /**
     * 姓名
     */
    @ExcelProperty(value = "姓名")
    private String scoreDataName;

    /**
     * 学生姓名id
     */
    @ExcelProperty(value = "学生姓名id")
    private Long scoreDataNameId;

    /**
     * 总分
     */
    @ExcelProperty(value = "总分")
    private Double zongfen;

    /**
     * 平均分
     */
    @ExcelProperty(value = "平均分")
    private String avg;

    /**
     * 是否查看 N:否 Y:是
     */
    @ExcelProperty(value = "是否查看 N:否 Y:是")
    private String detailsType;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;
    private Date createTime;

    @TableField(exist = false)
    private List<ScoreDataDetailVo> scoreDataDetailVoList;
}
