package org.dromara.system.domain.score.vo;

import java.util.Date;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.score.ScoreData;
import org.dromara.system.domain.score.bo.ScoreDataMfBo;
import org.dromara.system.domain.score.bo.ScoreDataStudentBo;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;


/**
 * 成绩视图对象 score_data
 *
 * @author boman
 * @date 2023-08-17
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = ScoreData.class)
public class ScoreDataVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 考试id
     */
    @ExcelProperty(value = "考试id")
    private Long scoreId;

    /**
     * 考试名称
     */
    @ExcelProperty(value = "考试名称")
    private String scoreTitle;

    /**
     * 考试时间
     */
    @ExcelProperty(value = "考试时间")
    //@JsonFormat(pattern = "yyyy-MM-dd")
    private String scoreTime;
    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 接收班级id
     */
    @ExcelProperty(value = "接收班级id")
    private String scoreClassId;

    /**
     * 接收班级名称
     */
    @ExcelProperty(value = "接收班级名称")
    private String scoreClassName;
    /**
     * 排序
     */
    @TableField(exist = false)
    private int scoreSort;

    /**
     * 学生姓名只做查询使用
     */
    @TableField(exist = false)
    private String scoreDataName;

    /**
     * 隐私设置 1:仅自己 2:仅本班 3:全部
     */
    @ExcelProperty(value = "隐私设置 1:仅自己 2:仅本班 3:全部")
    private String privacyType;
    /**
     * 是否进行年级统计 N:否 Y:是 必须保证同一年级考试时间一样
     */
    //@ExcelProperty(value = "是否进行年级统计 1:仅自己 2:仅本班 3:全部")
    private String scoreType;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 班级平均分
     */
    @ExcelProperty(value = "班级平均分")
    private double avg;
    @TableField(exist = false)

    private List<ScoreDataStudentVo> scoreDataStudentVoList;
    /**
     * 成绩满分
     */
    @TableField(exist = false)
    private List<ScoreDataMfVo> scoreDataMfVoList;

    /**
     * 已查看
     */
    @TableField(exist = false)
    private Double chaKan;
    /**
     * 未查看
     */
    @TableField(exist = false)
    private Double weiChaKan;

    /**
     * 查看率
     */
    @TableField(exist = false)
    private String percentage;

    /**
     * 平均分以上
     */
    @TableField(exist = false)
    private int up;
    @TableField(exist = false)
    /**
     * 平均分以下人数
     */
    private int down;
}
