package org.dromara.system.domain.vo;

import org.dromara.system.domain.AskLeaveCourse;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 请假课程信息视图对象 ask_leave_course
 *
 * @author boman
 * @date 2024-11-04
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = AskLeaveCourse.class)
public class AskLeaveCourseVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private Long id;

    /**
     * 课程表id
     */
    private Long courseId;

    /**
     * 请假主表id
     */
    private Long leaveId;

    /**
     * 请假日期
     */
    @ExcelProperty(value = "请假日期")
    private String courseDate;

    /**
     * 周几：1：周一，2：周二，3：周三，4：周四，5：周五
     */
    @ExcelProperty(value = "周几：1：周一，2：周二，3：周三，4：周四，5：周五")
    private String week;

    /**
     * 第几节课
     */
    @ExcelProperty(value = "第几节课")
    private Long classNumber;

    /**
     * 时段：AM：上午，PM:下午，NIGHT:晚上
     */
    @ExcelProperty(value = "时段：AM：上午，PM:下午，NIGHT:晚上")
    private String timeFrame;

    /**
     * 课程名称
     */
    @ExcelProperty(value = "课程名称")
    private String courseName;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
