package org.dromara.system.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import org.dromara.system.domain.AskLeave;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.bo.AskLeaveCourseBo;
import org.dromara.system.domain.bo.AskLeaveFjBo;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 请假视图对象 ask_leave
 *
 * @author boman
 * @date 2024-11-04
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = AskLeave.class)
public class AskLeaveVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ExcelProperty(value = "ID")
    private Long id;

    /**
     * 学校id
     */
    @ExcelProperty(value = "学校id")
    private String schoolId;

    /**
     * 学校名称
     */
    @ExcelProperty(value = "学校名称")
    private String schoolName;

    /**
     * 班级id
     */
    @ExcelProperty(value = "班级id")
    private String classId;

    /**
     * 班级名称
     */
    @ExcelProperty(value = "班级名称")
    private String className;

    /**
     * 请假人
     */
    @ExcelProperty(value = "请假人")
    private String leaveName;

    /**
     * 请假类型
     */
    @ExcelProperty(value = "请假类型")
    private Long leaveType;

    /**
     * 请假事由
     */
    @ExcelProperty(value = "请假事由")
    private String description;

    /**
     * 请假时长
     */
    @ExcelProperty(value = "请假时长")
    private String leaveDuration;

    /**
     * 请假时段
     */
    @ExcelProperty(value = "请假时段")
    private String leaveFrame;

    /**
     * 审核人id
     */
    @ExcelProperty(value = "审核人id")
    private String examineId;

    /**
     * 审核人姓名
     */
    @ExcelProperty(value = "审核人姓名")
    private String examineName;

    /**
     * 审核结果  0：未审核，1：审核通过，2：未通过
     */
    private String examineResult;

    /**
     * 审核意见
     */
    private String opinion;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


    /**
     * 请假课程信息
     */
    @TableField(exist = false)
    private List<AskLeaveCourseVo> askLeaveCourseBoList;

    /**
     * 附件信息
     */
    @TableField(exist = false)
    private List<AskLeaveFjVo> askLeaveFjBoList;

}
