package org.dromara.system.domain.vo;

import org.dromara.system.domain.CourseTableTime;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 课程-时间视图对象 course_table_time
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = CourseTableTime.class)
public class CourseTableTimeVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ExcelProperty(value = "ID")
    private Long id;

    /**
     * 学校id
     */
    @ExcelProperty(value = "学校id")
    private String schoolId;

    /**
     * 学校名称
     */
    @ExcelProperty(value = "学校名称")
    private String schoolName;

    /**
     * 第几节课
     */
    @ExcelProperty(value = "第几节课")
    private Long classNumber;

    /**
     * 时段：AM：上午，PM:下午，NIGHT:晚上
     */
    @ExcelProperty(value = "时段：AM：上午，PM:下午，NIGHT:晚上")
    private String timeFrame;

    /**
     * 课程开始时间
     */
    @ExcelProperty(value = "课程开始时间")
    private String startTime;

    /**
     * 课程结束时间
     */
    @ExcelProperty(value = "课程结束时间")
    private String endTime;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 创建者
     */
    private Long createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;

}
