package org.dromara.system.domain.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import org.dromara.system.domain.CourseTable;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Set;


/**
 * 课程视图对象 course_table
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = CourseTable.class)
public class CourseTableVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ExcelProperty(value = "ID")
    private Long id;

    /**
     * 学校id
     */
    @ExcelProperty(value = "学校id")
    private String schoolId;

    /**
     * 学校名称
     */
    @ExcelProperty(value = "学校名称")
    private String schoolName;

    /**
     * 班级id
     */
    @ExcelProperty(value = "班级id")
    private String classId;

    /**
     * 班级名称
     */
    @ExcelProperty(value = "班级名称")
    private String className;

    /**
     * 周几：1：周一，2：周二，3：周三，4：周四，5：周五
     */
    @ExcelProperty(value = "周几：1：周一，2：周二，3：周三，4：周四，5：周五")
    private String week;

    /**
     * 第几节课
     */
    @ExcelProperty(value = "第几节课")
    private Long classNumber;


    /**
     * 时段：AM：上午，PM:下午，NIGHT:晚上
     */
    @ExcelProperty(value = "时段：AM：上午，PM:下午，NIGHT:晚上")
    private String timeFrame;


    /**
     * 课程名称
     */
    @ExcelProperty(value = "课程名称")
    private String courseName;

    /**
     * 课程老师
     */
    @ExcelProperty(value = "课程老师")
    private String courseTeacher;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 创建者
     */
    private Long createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;


    /**
     * 被换的课
     */
    @TableField(exist = false)
    Set<Long> classNum;

    /**
     * 老师自己的课
     */
    @TableField(exist = false)
    Set<Long> teacherClassNum;


    /**
     * 老师自己的课
     */
    @TableField(exist = false)
    List<String> teacherClassName;

    /**
     * 是否是老师自己的课
     */
    @TableField(exist = false)
    Boolean teacherType= false;

    /**
     * 是否被换课程
     */
    @TableField(exist = false)
    Boolean classType= false;

}
