package org.dromara.system.domain.vo;

import org.dromara.system.domain.FormalParentsStudent;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 家长-学生(审核通过之后数据)视图对象 formal_parents_student
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = FormalParentsStudent.class)
public class FormalParentsStudentVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ExcelProperty(value = "ID")
    private Long id;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 家长id
     */
    @ExcelProperty(value = "家长id")
    private Long parentsId;

    /**
     * 学校id
     */
    @ExcelProperty(value = "学校id")
    private Long schoolId;

    /**
     * 学校名称
     */
    @ExcelProperty(value = "学校名称")
    private String schoolName;

    /**
     * 班级id
     */
    @ExcelProperty(value = "班级id")
    private Long classId;

    /**
     * 班级名称
     */
    @ExcelProperty(value = "班级名称")
    private String className;

    @ExcelProperty(value = "届")
    private String period;

    /**
     * 姓名
     */
    @ExcelProperty(value = "姓名")
    private String studentName;

    /**
     * 学号
     */
    @ExcelProperty(value = "学号")
    private String studentNumber;

    private String isDel;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
