package org.dromara.system.domain.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import org.dromara.system.domain.FormalTeacherClass;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 老师-班级（学科）(审核通过之后数据)视图对象 formal_teacher_class
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = FormalTeacherClass.class)
public class FormalTeacherClassVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ExcelProperty(value = "ID")
    private Long id;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 老师id
     */
    @ExcelProperty(value = "老师id")
    private Long teacherId;

    /**
     * 学校id
     */
    @ExcelProperty(value = "学校id")
    private Long schoolId;

    /**
     * 学校名称
     */
    @ExcelProperty(value = "学校名称")
    private String schoolName;

    /**
     * 班级id
     */
    @ExcelProperty(value = "班级id")
    private Long classId;

    /**
     * 班级名称
     */
    @ExcelProperty(value = "班级名称")
    private String className;

    @ExcelProperty(value = "届")
    private String period;

    /**
     * 学科
     */
    @ExcelProperty(value = "学科")
    private String discipline;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 老师名称
     */
    @ExcelProperty(value = "老师名称")
    private String teacherName;

    /**
     * 创建者
     */
    private Long createBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;
}
