package org.dromara.system.domain.vo;

import org.dromara.system.domain.RegisterParentsStudent;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 注册-家长-学生视图对象 register_parents_student
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = RegisterParentsStudent.class)
public class RegisterParentsStudentVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ExcelProperty(value = "ID")
    private Long id;

    /**
     * 租户编号
     */
    private String tenantId;

    /**
     * 家长id
     */
    @ExcelProperty(value = "家长id")
    private Long parentsId;

    /**
     * 家长姓名
     */
    @ExcelProperty(value = "家长姓名")
    private String parentsName;

    /**
     * 家长联系方式
     */
    @ExcelProperty(value = "家长联系方式")
    private String parentsPhone;

    /**
     * 学校id
     */
    @ExcelProperty(value = "学校id")
    private Long schoolId;

    /**
     * 学校名称
     */
    @ExcelProperty(value = "学校名称")
    private String schoolName;

    /**
     * 班级id
     */
    @ExcelProperty(value = "班级id")
    private Long classId;

    /**
     * 班级名称
     */
    @ExcelProperty(value = "班级名称")
    private String className;

    @ExcelProperty(value = "届")
    private String period;

    /**
     * 姓名
     */
    @ExcelProperty(value = "姓名")
    private String studentName;

    /**
     * 学号
     */
    @ExcelProperty(value = "学号")
    private String studentNumber;

    /**
     * 审核结果（1：待审核，2：通过，3：不通过）
     */
    @ExcelProperty(value = "审核结果", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "1=：待审核，2：通过，3：不通过")
    private String isPass;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     *
     */
    @ExcelProperty(value = "")
    private Long auditId;

    /**
     * 审核人
     */
    @ExcelProperty(value = "审核人")
    private String auditUser;

    /**
     * 审核意见
     */
    @ExcelProperty(value = "审核意见")
    private String opinion;

    /**
     * 创建者
     */
    private Long createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;
}
