package org.dromara.system.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import org.dromara.system.domain.RegisterParents;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 注册-家长视图对象 register_parents
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = RegisterParents.class)
public class RegisterParentsVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ExcelProperty(value = "ID")
    private Long id;

    /**
     * 租户编号
     */
    private String tenantId;

    /**
     * 微信用户唯一标识 OpenID
     */
    @ExcelProperty(value = "微信用户唯一标识 OpenID")
    private String openId;

    /**
     * 姓名
     */
    @ExcelProperty(value = "姓名")
    private String userName;

    /**
     * 联系方式
     */
    @ExcelProperty(value = "联系方式")
    private String userPhone;

    /**
     * 审核结果（1：待审核，2：通过，3：不通过）
     */
    @ExcelProperty(value = "审核结果", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "1=：待审核，2：通过，3：不通过")
    private String isPass;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


    /**
     * 创建者
     */
    private Long createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private List<RegisterParentsStudentVo> registerParentsStudentList;

}
