package org.dromara.system.domain.vo;

import org.dromara.system.domain.RegisterSchoolFile;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 注册-学校-附件视图对象 register_school_file
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = RegisterSchoolFile.class)
public class RegisterSchoolFileVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @ExcelProperty(value = "")
    private Long id;

    /**
     * 租户编号
     */
    private String tenantId;

    /**
     * 学校ID
     */
    @ExcelProperty(value = "学校ID")
    private Long schoolId;

    /**
     * 学校部门id
     */
    @ExcelProperty(value = "学校部门id")
    private Long deptId;

    /**
     * 附件名称
     */
    @ExcelProperty(value = "附件名称")
    private String name;

    /**
     * 附件地址
     */
    @ExcelProperty(value = "附件地址")
    private String url;

    /**
     * 地址类型
     */
    @ExcelProperty(value = "地址类型")
    private String type;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
