package org.dromara.system.domain.vo;

import org.dromara.system.domain.RegisterTeacherClass;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 注册-老师-班级（学科）视图对象 register_teacher_class
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = RegisterTeacherClass.class)
public class RegisterTeacherClassVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ExcelProperty(value = "ID")
    private Long id;

    /**
     * 租户编号
     */
    private String tenantId;

    /**
     * 老师id
     */
    @ExcelProperty(value = "老师id")
    private Long teacherId;

    /**
     * 班级id
     */
    @ExcelProperty(value = "班级id")
    private Long classId;

    /**
     * 班级名称
     */
    @ExcelProperty(value = "班级名称")
    private String className;

    /**
     *
     */
    @ExcelProperty(value = "届")
    private String period;

    /**
     * 学科
     */
    @ExcelProperty(value = "学科")
    private String discipline;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 创建者
     */
    private Long createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;

}
