package org.dromara.system.domain.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import org.dromara.system.domain.SchoolRecipe;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 学校食谱视图对象 school_recipe
 *
 * @author boman
 * @date 2023-09-22
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = SchoolRecipe.class)
public class SchoolRecipeVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @ExcelProperty(value = "")
    private Long id;

    /**
     * 学校ID
     */
    @ExcelProperty(value = "学校ID")
    private Long schoolId;

    /**
     * 就餐类型（1：早餐，2：午餐，3：晚餐，4：宵夜）
     */
    @ExcelProperty(value = "就餐类型", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "1=：早餐，2：午餐，3：晚餐，4：宵夜")
    private String type;

    /**
     * 上传日期
     */
    @ExcelProperty(value = "上传日期")
    private String createDate;

    /**
     * 附件地址（,号分割）
     */
    private String urls;

    /**
     * 描述
     */
    @ExcelProperty(value = "描述")
    private String description;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
