package org.dromara.system.domain.vo;

import org.dromara.system.domain.StudentInfoOld;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 学生档案历史信息视图对象 student_info_old
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = StudentInfoOld.class)
public class StudentInfoOldVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ExcelProperty(value = "ID")
    private Long oldId;

    /**
     * 学生id（家长-学生(审核通过之后数据)表id）
     */
    @ExcelProperty(value = "学生id", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "家=长-学生(审核通过之后数据)表id")
    private Long studentId;

    /**
     * 姓名
     */
    @ExcelProperty(value = "姓名")
    private String name;

    /**
     * 性别(1：男，2：女)
     */
    @ExcelProperty(value = "性别(1：男，2：女)")
    private String sex;

    /**
     * 年龄
     */
    @ExcelProperty(value = "年龄")
    private String age;

    /**
     * 名族
     */
    @ExcelProperty(value = "名族")
    private String familyName;

    /**
     * 学校
     */
    @ExcelProperty(value = "学校")
    private String school;

    /**
     * 学号
     */
    @ExcelProperty(value = "学号")
    private String studentNumber;

    /**
     * 身份证号
     */
    @ExcelProperty(value = "身份证号")
    private String idCard;

    /**
     * 是否近视（1：是，2：否）
     */
    @ExcelProperty(value = "是否近视", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "1=：是，2：否")
    private String isNearsightedness;

    /**
     * 近视度数
     */
    @ExcelProperty(value = "近视度数")
    private String degreeMyopia;

    /**
     * 是否远视（1：是，2：否）
     */
    @ExcelProperty(value = "是否远视", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "1=：是，2：否")
    private String isFarsightedness;

    /**
     * 远视度数
     */
    @ExcelProperty(value = "远视度数")
    private String farsightedness;

    /**
     * 身高
     */
    @ExcelProperty(value = "身高")
    private String height;

    /**
     * 体重
     */
    @ExcelProperty(value = "体重")
    private String weight;

    /**
     * 血型
     */
    @ExcelProperty(value = "血型")
    private String bloodType;

    /**
     * 政治面貌
     */
    @ExcelProperty(value = "政治面貌")
    private String politicalStatus;

    /**
     * 健康状况
     */
    @ExcelProperty(value = "健康状况")
    private String health;

    /**
     * 证件照(地址)
     */
    @ExcelProperty(value = "证件照(地址)")
    private String identificationPhoto;

    /**
     * 心理状况
     */
    @ExcelProperty(value = "心理状况")
    private String mind;

    /**
     * 门禁照(地址)
     */
    @ExcelProperty(value = "门禁照(地址)")
    private String entrancePermit;

    /**
     * 父亲
     */
    @ExcelProperty(value = "父亲")
    private String fatherName;

    /**
     * 父亲联系方式
     */
    @ExcelProperty(value = "父亲联系方式")
    private String fatherTelephone;

    /**
     * 母亲
     */
    @ExcelProperty(value = "母亲")
    private String motherName;

    /**
     * 母亲联系方式
     */
    @ExcelProperty(value = "母亲联系方式")
    private String motherTelephone;

    /**
     * 居住地址
     */
    @ExcelProperty(value = "居住地址")
    private String address;

    /**
     * 经度
     */
    @ExcelProperty(value = "经度")
    private String longitude;

    /**
     * 纬度
     */
    @ExcelProperty(value = "纬度")
    private String latitude;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 有无过往病史（1：有，2：无）
     */
    @ExcelProperty(value = "有无过往病史", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "1=：有，2：无")
    private String isMedicalHistory;

    /**
     * 病史描述
     */
    @ExcelProperty(value = "病史描述")
    private String medicalDescription;

    /**
     * 心理健康描述
     */
    @ExcelProperty(value = "心理健康描述")
    private String psychologicalDescription;

    /**
     * 留守儿童（1：是，2：否）
     */
    @ExcelProperty(value = "留守儿童", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "1=：是，2：否")
    private String isLset;

    /**
     * 是否贫困（1：是，2：否）
     */
    @ExcelProperty(value = "是否贫困", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "1=：是，2：否")
    private String isPoverty;

    /**
     * 紧急联系人
     */
    @ExcelProperty(value = "紧急联系人")
    private String emergencyContact;

    /**
     * 紧急联系人手机号
     */
    @ExcelProperty(value = "紧急联系人手机号")
    private String emergencyContactTelephone;


}
