package org.dromara.system.domain.vo;

import org.dromara.system.domain.StudentMindOld;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 学生心理健康历史信息视图对象 student_mind_old
 *
 * @author Lion Li
 * @date 2023-08-16
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = StudentMindOld.class)
public class StudentMindOldVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ExcelProperty(value = "ID")
    private Long mindId;

    /**
     * 学生id（家长-学生(审核通过之后数据)表id）
     */
    @ExcelProperty(value = "学生id", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "家=长-学生(审核通过之后数据)表id")
    private Long studentId;

    /**
     * 姓名
     */
    @ExcelProperty(value = "姓名")
    private String name;

    /**
     * 性别(1：男，2：女)
     */
    @ExcelProperty(value = "性别(1：男，2：女)")
    private String sex;

    /**
     * 年龄
     */
    @ExcelProperty(value = "年龄")
    private String age;

    /**
     * 学校
     */
    @ExcelProperty(value = "学校")
    private String school;

    /**
     * 学号
     */
    @ExcelProperty(value = "学号")
    private String studentNumber;

    /**
     * 身份证号
     */
    @ExcelProperty(value = "身份证号")
    private String idCard;

    /**
     * 心理状况
     */
    @ExcelProperty(value = "心理状况")
    private String mind;

    /**
     * 心理健康描述
     */
    @ExcelProperty(value = "心理健康描述")
    private String psychologicalDescription;

    /**
     * 1：家长，2：老师
     */
    @ExcelProperty(value = "1：家长，2：老师")
    private String createType;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;

    /**
     * 创建者
     */
    private Long createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private Long updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String createByName;


}
