package org.dromara.system.domain.vo;

import org.dromara.system.domain.UpdateApp;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * APP版本描述视图对象 update_app
 *
 * @author boman
 * @date 2023-09-18
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = UpdateApp.class)
public class UpdateAppVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @ExcelProperty(value = "")
    private Long id;

    /**
     * 系统：Android：安卓系统，Apple：苹果系统
     */
    @ExcelProperty(value = "系统：Android：安卓系统，Apple：苹果系统")
    private String model;

    /**
     * 版本名称
     */
    @ExcelProperty(value = "版本名称")
    private String name;

    /**
     * 版本号
     */
    @ExcelProperty(value = "版本号")
    private String code;

    /**
     * 版本描述
     */
    @ExcelProperty(value = "版本描述")
    private String description;

    /**
     * 下载地址
     */
    @ExcelProperty(value = "下载地址")
    private String path;

    /**
     * 是否有效 N：失效 Y：有效
     */
    @ExcelProperty(value = "是否有效 N：失效 Y：有效")
    private String isDel;


}
