package org.dromara.system.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.dromara.system.domain.ZhxyShyj;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 智慧校园_审核意见视图对象 zhxy_shyj
 *
 * @author boman
 * @date 2023-08-21
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = ZhxyShyj.class)
public class ZhxyShyjVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ExcelProperty(value = "ID")
    private Long id;

    /**
     * 数据ID
     */
    @ExcelProperty(value = "数据ID")
    private Long dataId;

    /**
     * 审核类型（1：学校注册，2：老师注册，3：家长注册，4：调课）
     */
    @ExcelProperty(value = "审核类型", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "1=：学校注册，2：老师注册，3：家长注册，4：调课")
    private String type;

    /**
     * 审核人id
     */
    @ExcelProperty(value = "审核人id")
    private Long auditId;

    /**
     * 审核人名称
     */
    @ExcelProperty(value = "审核人名称")
    private String auditUser;

    /**
     * 审核结果（是否通过  1：待审核，2：通过 3:不通过)
     */
    @ExcelProperty(value = "审核结果", converter = ExcelDictConvert.class)
    @ExcelDictFormat(readConverterExp = "审核结果（是否通过  1：待审核，2：通过 3:不通过)")
    private String shjg;

    /**
     * 审核意见
     */
    @ExcelProperty(value = "审核意见")
    private String shyj;

    /**
     * 审核时间
     */
    @ExcelProperty(value = "审核时间")
    private Date shsj;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
