package org.dromara.system.domain.xiake;

import org.dromara.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 下课时间配置对象 xiake_config
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xiake_config")
public class XiakeConfig extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 参数主键
     */
    @TableId(value = "config_id")
    private Long configId;

    /**
     * 参数名称
     */
    private String configName;

    /**
     * 参数键名(班级id)
     */
    private String configKey;

    /**
     * 参数键值(下课时间)
     */
    private String configValue;

    /**
     * 1:准备下课 2:延迟下课
     */
    private String configType;

    /**
     * 备注
     */
    private String remark;


}
