package org.dromara.system.domain.xiake.bo;


import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.dromara.common.core.validate.AddGroup;
import org.dromara.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import org.dromara.system.domain.xiake.XiakeConfig;

/**
 * 下课时间配置业务对象 xiake_config
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = XiakeConfig.class, reverseConvertGenerate = false)
public class XiakeConfigBo extends BaseEntity {

    /**
     * 参数主键
     */
    @NotNull(message = "参数主键不能为空", groups = { EditGroup.class })
    private Long configId;

    /**
     * 参数名称
     */
    @NotBlank(message = "参数名称不能为空", groups = { AddGroup.class, EditGroup.class })
    private String configName;

    /**
     * 参数键名(班级id)
     */
    @NotBlank(message = "参数键名(班级id)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String configKey;

    /**
     * 参数键值(下课时间)
     */
    @NotBlank(message = "参数键值(下课时间)不能为空", groups = { AddGroup.class, EditGroup.class })
    private String configValue;

    /**
     * 1:准备下课 2:延迟下课
     */
    @NotBlank(message = "1:准备下课 2:延迟下课不能为空", groups = { AddGroup.class, EditGroup.class })
    private String configType;

    /**
     * 备注
     */
    @NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;


}
