package org.dromara.system.domain.xiake.vo;


import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import org.dromara.common.excel.annotation.ExcelDictFormat;
import org.dromara.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.system.domain.xiake.XiakeConfig;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 下课时间配置视图对象 xiake_config
 *
 * @author boman
 * @date 2023-08-16
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = XiakeConfig.class)
public class XiakeConfigVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 参数主键
     */
    @ExcelProperty(value = "参数主键")
    private Long configId;

    /**
     * 参数名称
     */
    @ExcelProperty(value = "参数名称")
    private String configName;

    /**
     * 参数键名(班级id)
     */
    @ExcelProperty(value = "参数键名(班级id)")
    private String configKey;

    /**
     * 参数键值(下课时间)
     */
    @ExcelProperty(value = "参数键值(下课时间)")
    private String configValue;

    /**
     * 1:准备下课 2:延迟下课
     */
    @ExcelProperty(value = "1:准备下课 2:延迟下课")
    private String configType;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
