package org.dromara.system.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import org.dromara.system.domain.CourseTable;
import org.dromara.system.domain.vo.CourseTableVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 课程Mapper接口
 *
 * @author Lion Li
 * @date 2023-08-16
 */
public interface CourseTableMapper extends BaseMapperPlus<CourseTable, CourseTableVo> {

    List<CourseTableVo> selectCourseTableByClassIdAndWeek(@Param("classId") Long classId, @Param("week")int week);

    @InterceptorIgnore(tenantLine = "1")
    List<CourseTableVo> selectCourseVoList(@Param(Constants.WRAPPER)LambdaQueryWrapper<CourseTable> lqw);
}
