package org.dromara.system.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import org.dromara.system.domain.RegisterSchoolFile;
import org.dromara.system.domain.vo.RegisterSchoolFileVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 注册-学校-附件Mapper接口
 *
 * @author boman
 * @date 2023-08-16
 */
public interface RegisterSchoolFileMapper extends BaseMapperPlus<RegisterSchoolFile, RegisterSchoolFileVo> {

    @InterceptorIgnore(tenantLine = "1")
    void deleteRegisterSchoolFileBySchoolId(Long schoolId);

    @InterceptorIgnore(tenantLine = "1")
    List<RegisterSchoolFileVo> selectVoMapperList(@Param(Constants.WRAPPER)LambdaQueryWrapper<RegisterSchoolFile> lqw);
}
