package org.dromara.system.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.dromara.system.domain.RegisterSchool;
import org.dromara.system.domain.vo.RegisterSchoolVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

/**
 * 注册-学校Mapper接口
 *
 * @author boman
 * @date 2023-08-16
 */
public interface RegisterSchoolMapper extends BaseMapperPlus<RegisterSchool, RegisterSchoolVo> {
    @InterceptorIgnore(tenantLine = "1")
    RegisterSchoolVo selectRegisterSchooByOppenId(String openId);

    @InterceptorIgnore(tenantLine = "1")
    void deleteRegisterSchoolByOpenId(String openId);

    @InterceptorIgnore(tenantLine = "1")
    RegisterSchoolVo selectRegisterSchooByPhonenumber(String phonenumber);

    @InterceptorIgnore(tenantLine = "1")
    void deleteRegisterSchoolByPhonenumber(String phonenumber);

    @InterceptorIgnore(tenantLine = "1")
    RegisterSchoolVo selectVoMapperById(Long id);

    @InterceptorIgnore(tenantLine = "1")
    Page<RegisterSchoolVo> selectVoMapperPage(@Param("page")Page<Object> build, @Param(Constants.WRAPPER)LambdaQueryWrapper<RegisterSchool> lqw);
}
