package org.dromara.system.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import org.dromara.system.domain.RegisterTeacherClass;
import org.dromara.system.domain.vo.RegisterTeacherClassVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 注册-老师-班级（学科）Mapper接口
 *
 * @author boman
 * @date 2023-08-16
 */
public interface RegisterTeacherClassMapper extends BaseMapperPlus<RegisterTeacherClass, RegisterTeacherClassVo> {

    void deleteRegisterTeacherClassByTeacherId(Long teacherId);

    @InterceptorIgnore(tenantLine = "true")
    void deleteRegisterTeacherClassByTeacherIds(Long[] ids);

    @InterceptorIgnore(tenantLine = "true")
    List<RegisterTeacherClassVo> selectVoMapperList(@Param(Constants.WRAPPER)LambdaQueryWrapper<RegisterTeacherClass> lqw);
}
