package org.dromara.system.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.dromara.system.domain.RegisterTeacher;
import org.dromara.system.domain.vo.RegisterTeacherVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 注册-老师Mapper接口
 *
 * @author boman
 * @date 2023-08-16
 */
public interface RegisterTeacherMapper extends BaseMapperPlus<RegisterTeacher, RegisterTeacherVo> {
    RegisterTeacherVo selectRegisterTeacherByOppenId(String oppenId);

    List<RegisterTeacherVo> selectRegisterTeacherListByTime(@Param("monthFirst") String monthFirst, @Param("deptId")Long deptId);

    @InterceptorIgnore(tenantLine = "true")
    RegisterTeacherVo selectRegisterTeacherByPhonenumber(String phonenumber);

    @InterceptorIgnore(tenantLine = "true")
    List<RegisterTeacherVo> selectListZ(@Param("page")IPage<RegisterTeacher> page, @Param(Constants.WRAPPER)LambdaQueryWrapper<RegisterTeacher> lqw);

    @InterceptorIgnore(tenantLine = "true")
    Long updateMapperById(RegisterTeacher update);

    Page<RegisterTeacherVo> selectVoMapperPage(@Param("page")Page<Object> build, @Param(Constants.WRAPPER)LambdaQueryWrapper<RegisterTeacher> lqw);

    @InterceptorIgnore(tenantLine = "true")
    Boolean deleteRegisterTeacherByIds(Long[] ids);

    @InterceptorIgnore(tenantLine = "true")
    RegisterTeacherVo selectVoByIdMapper(Long id);
}
