package org.dromara.system.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.dromara.system.domain.StudentInfoOld;
import org.dromara.system.domain.vo.StudentInfoOldVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 学生档案历史信息Mapper接口
 *
 * @author Lion Li
 * @date 2023-08-16
 */
public interface StudentInfoOldMapper extends BaseMapperPlus<StudentInfoOld, StudentInfoOldVo> {

    @InterceptorIgnore(tenantLine = "1")
    Page<StudentInfoOldVo> selectVoMapperPage(@Param("page")Page<Object> build, @Param(Constants.WRAPPER)LambdaQueryWrapper<StudentInfoOld> lqw);

    @InterceptorIgnore(tenantLine = "1")
    List<StudentInfoOldVo> selectVoMapperList(@Param(Constants.WRAPPER)LambdaQueryWrapper<StudentInfoOld> lqw);
}
