package org.dromara.system.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.dromara.system.domain.StudentLiveOld;
import org.dromara.system.domain.bo.StudentLiveOldBo;
import org.dromara.system.domain.vo.StudentLiveOldVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 学生生活历史信息Mapper接口
 *
 * @author Lion Li
 * @date 2023-08-16
 */
public interface StudentLiveOldMapper extends BaseMapperPlus<StudentLiveOld, StudentLiveOldVo> {

    @InterceptorIgnore(tenantLine = "1")
    List<StudentLiveOldVo> selectStudentLiveOldListEcharts(StudentLiveOldBo bo);
    @InterceptorIgnore(tenantLine = "1")
    Page<StudentLiveOldVo> selectVoMapperPage(@Param("page")Page<Object> build, @Param(Constants.WRAPPER)LambdaQueryWrapper<StudentLiveOld> lqw);
    @InterceptorIgnore(tenantLine = "1")
    List<StudentLiveOldVo> selectVoMapperList(@Param(Constants.WRAPPER)LambdaQueryWrapper<StudentLiveOld> lqw);
    @InterceptorIgnore(tenantLine = "1")
    StudentLiveOldVo selectVoMapperById(Long liveId);
}
