package org.dromara.system.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.dromara.system.domain.StudentMindOld;
import org.dromara.system.domain.vo.StudentMindOldVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 学生心理健康历史信息Mapper接口
 *
 * @author Lion Li
 * @date 2023-08-16
 */
public interface StudentMindOldMapper extends BaseMapperPlus<StudentMindOld, StudentMindOldVo> {

    @InterceptorIgnore(tenantLine = "1")
    Page<StudentMindOldVo> selectVoMapperPage(@Param("page")Page<Object> build, @Param(Constants.WRAPPER)LambdaQueryWrapper<StudentMindOld> lqw);

    @InterceptorIgnore(tenantLine = "1")
    StudentMindOldVo selectVoMapperById(Long mindId);

    @InterceptorIgnore(tenantLine = "1")
    List<StudentMindOldVo> selectVoMaooerList(@Param(Constants.WRAPPER)LambdaQueryWrapper<StudentMindOld> lqw);
}
