package org.dromara.system.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.dromara.system.domain.TeacherInfo;
import org.dromara.system.domain.vo.TeacherInfoVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 老师档案信息Mapper接口
 *
 * @author boman
 * @date 2023-08-16
 */
public interface TeacherInfoMapper extends BaseMapperPlus<TeacherInfo, TeacherInfoVo> {

    @InterceptorIgnore(tenantLine = "1")
    TeacherInfoVo selectVoMapperById(Long id);

    Page<TeacherInfoVo> selectVoMapperPage(@Param("page")Page<Object> build, @Param(Constants.WRAPPER)QueryWrapper<TeacherInfo> lqw);

    @InterceptorIgnore(tenantLine = "1")
    List<TeacherInfoVo> selectVoMapperList(@Param(Constants.WRAPPER)QueryWrapper<TeacherInfo> lqw);
}
