package org.dromara.system.mapper.score;


import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;
import org.dromara.system.domain.score.ScoreData;
import org.dromara.system.domain.score.ScoreDataStudent;
import org.dromara.system.domain.score.bo.ScoreDataBo;
import org.dromara.system.domain.score.bo.ScoreDataStudentBo;
import org.dromara.system.domain.score.vo.ScoreDataDetailVo;
import org.dromara.system.domain.score.vo.ScoreDataStudentVo;

import java.util.List;

/**
 * 成绩_子学生idMapper接口
 *
 * @author boman
 * @date 2023-08-17
 */
public interface ScoreDataStudentMapper extends BaseMapperPlus<ScoreDataStudent, ScoreDataStudentVo> {

    /**
     * 查询成绩排名
     * @param scoreClassId
     * @return
     */
    @InterceptorIgnore(tenantLine = "true")

    public List<ScoreDataStudentVo> selectScoreDataByScoreClassId(String scoreClassId);
    @InterceptorIgnore(tenantLine = "true")

    public List<ScoreDataStudentVo> selectScoreDataForParents(ScoreData scoreData);
    @InterceptorIgnore(tenantLine = "true")
    public List<ScoreDataStudentVo> selectScoreByScoreId(Long scoreId);
    public List<ScoreDataStudentVo> selectScoreByScoreIds(long[] scoreIds);

    public List<ScoreDataStudentVo> gradeRank(ScoreData scoreData);


    public List<ScoreDataDetailVo> xuekeRank(ScoreDataBo scoreDatabo);


}
